Getting Started


SAP Easy Access

Use

The new SAP Easy Access user menu is the user-specific point of entry into the SAP System.

The user menu contains only those items – such as transactions, reports, and Web addresses – you need to perform your daily tasks.

If a user menu has been defined by your system administrator, it appears when you log on to the system.

If you have not been assigned a user menu, or you need to access items that are not contained in your user menu:
  • Open the SAP standard menu by choosing Menu ® SAP standard menu. You now have a complete overview of the SAP System you are currently working with. Use the navigation area to navigate to the items you need.
  • Or, contact your system administrator. See System Administrator Functions .

On the SAP Easy Access initial screen, you can also:

  • Create a favorites list consisting of the transactions, files, and Web addresses you use most frequently
  • Go to SAP Business Workplace, if you are using Work items. See Working with the Business Workplace .

Additional Information

Roles


SAP Easy Access Settings

Procedure

To make SAP Easy Access settings, choose Extras ® Settings. The following dialog box appears:

Here, you can specify whether:

  • Your favorites should appear before or after the menu
  • Only your favorites, and not the menu, should appear
  • Technical names of menu options should appear in the navigation area
  • The SAP Easy Access graphic should appear on the right-hand side of the screen, as shown below:

You can hide this graphic by dragging the split bar from the center to the right-hand edge of the screen. To deactivate the graphic completely, select Do not display image.

You can also define whether a user or an SAP standard menu should appear. To make this setting, choose either Menu ® User menu or Menu ® SAP standard menu.


Using the Navigation Area

Procedure

You can expand and collapse menus in the navigation area by choosing the dropdown arrows to the left of the menu items, as in the example below:

To open an application in the navigation area:

  • Double-click its node, or
  • Choose Enter, or
  • Choose Edit ® Execute

To run an application in a new session, choose Edit ® Run in new window.

You can access the most important commands and functions in the navigation area by opening the context menu. To open the context menu, place the cursor on any item in the menu bar, and click the alternate mouse button.


Creating Favorites

Use

In SAP Easy Access, you can create a favorites list containing:

  • Transactions
  • Files
  • Web addresses

Procedure

Inserting an Item from the SAP Standard or User Menu

Use drag and drop:

  1. Select an executable menu item using the mouse, and keep the mouse button pressed.
  2. Drag the item to the desired position in your favorites list, and release the mouse button.
  3. The new item appears below the position where you dropped it.

Or, use the menu bar:

  1. Select an executable item in the user menu.
  2. Choose Favorites ® Add.
  3. The new item appears at the end of your list.

Inserting a Transaction

  1. Choose Favorites ® Insert transaction.
  2. The following dialog box appears:

  3. Enter the transaction code, and choose Continue.
  4. The new item appears at the end of your list, and is automatically labeled with the transaction name.

Inserting a Web Address or a File

  1. Choose Favorites ® Link or file
  2. The following dialog box appears:

  3. Enter a name and the Web address or file name, and choose Continue.
    • The Web address should start with http://.. .

EXAMPLE: http://www.sap.com
    • The file name should have the format: X:\filename\filepath.

EXAMPLE: C:\Texts\SAP.doc. You can only use this function if you can access local files from your Web browser.


Managing Favorites

Use

SAP Easy Access allows you to organize your favorites by:

  • Creating folders in your favorites list
  • Moving, renaming, or deleting favorites and folders

Procedure

Inserting Folders

  1. Choose Favorites ® Insert folder.
  2. A dialog box appears. Enter a name, and choose Continue.
  3. The new folder appears below the currently selected favorite.

Moving Favorites and Folders

To move favorites or folders within a hierarchy level:

  1. Select the favorite or folder you want to move.
  2. Choose Favorites ® Move ® Up/Down; or choose Move favorites downwards /Move favorites upwards.
  3. Repeat this step until the favorite or folder is where you want it.

To move favorites or folders between hierarchy levels, use drag and drop:

  1. Select the favorite or folder with the mouse, and keep the mouse button pressed.
  2. Drag the favorite or folder to the desired position in the favorites list, and release the mouse button.
  3. The favorite or folder appears below the position where you let it go.

Renaming Favorites and Folders

  1. Select the favorites or folders you want to rename.
  2. Choose Favorites ® Change.
  3. A dialog box appears. Enter a new name, and choose Continue.

Or:

From the context menu, choose Change favorites. To open the context menu, click the alternate mouse button.

Deleting Favorites and Folders

  1. Select the favorites or folders you want to delete.
  2. Choose Favorites ® Delete.

Or:

From the context menu, choose Delete favorites. To open the context menu, click the alternate mouse button.

When you remove a favorite from your favorites list, you are not actually deleting the respective file, program, or transaction; you are merely removing a link to that particular item.


Roles

Use

Roles are collections of activities used in business scenarios. Users access the transactions, reports, or Web-based applications through user menus. SAP currently delivers over 1200 predefined roles. Users can change aspects of roles they are assigned, for example, by creating their own favorites list. (see Creating Favorites and Managing Favorites .)

When a user is assigned a role, they are assigned not only the menu, but also the authorizations they require to access the information, ensuring that the business data is always secure. Authorization profiles are generated according to the activities contained in the role, thus restricting the authorizations of each user in the SAP System to only those activities.

In the mySAP.com Workplace, the user uses a Web browser to view and execute the required tasks and activities. Roles can be assigned here as well.

The system administrator can tailor the user menu to the personal requirements of each user, by adding or deleting menu entries.

For more information about role-specific system administrator functions, see System Administrator Functions .


System Administrator Functions

Use

To define user menus for the employees in a company, the system administrator has several possibilities:

  • Directly assign roles to a user
  • Change roles and assign them or
  • Create roles

If you are a user with system administrator authorization, SAP Easy Access provides additional functions that enable you to:

  • Call role menus and assign users to the menus
  • Create roles

A sample SAP Easy Access initial screen for system administrators is shown below. Note the additional options in the application toolbar.

Activities

To display a role menu, choose Other menu. A list of all roles in the SAP System are displayed in the dialog box that appears. To display role details, select the role. If the role you selected matches the employee’s tasks, choose Assign user. On the following screen, you enter the user ID of the relevant user. The system then asks you whether you want to generate an authorization profile. If you choose Yes, the system assigns the user the authorizations relevant for the role.

For display more information about the select role, choose Documentation.

For system administrators: To create roles, choose Create role or start the Role Maintenance transaction PFCG.

See also:

Assigning Standard Roles

Changing and Assigning Roles

Creating Roles


The SAP Window

Use

The SAP window is the user interface to the SAP System.

Features

The elements of a typical SAP window are shown below:

The standard toolbar contains buttons for performing common actions such as Save and Enter.

The functions assigned to the standard toolbar are listed below:

Button | Name | Function
 | Enter | Confirms the data you have selected or entered on the screen. Same function as the Enter key. Does not save your work.
 | Command field | Allows you to enter commands, such as transaction codes.
 | Save | Saves your work. Same function as Save in the Edit menu.
 | Back | Returns you to the previous screen without saving your data. If there are required fields on the screen, these fields must be completed first.
 | Exit | Exits the current function without saving. Returns you to the initial screen or main menu screen.
 | Cancel | Exits the current task without saving. Same function as Cancel in the Edit menu.
 | Print | Prints data from the current screen.
 | Find | Searches for data required in the current screen.
 | Find next | Performs an extended search for data required in the current screen.
 | First page | Scrolls to the first page. Same function as the CTRL + Page Up keys.
 | Previous page | Scrolls to the previous page. Same function as the Page Up key.
 | Next page | Scrolls to the next page. Same function as the Page Down key.
 | Last page | Scrolls to the last page. Same function as the CTRL + Page Up key.
 | Create session | Creates a new SAP session. Same function as Create session in the System menu.
 | Create shortcut | Allows you to create a desktop shortcut to any SAP report, transaction, or task if you are working with a Windows 32-bit operating system.
 | F1 Help | Provides help on the field where the cursor is positioned.
 | Layout menu | Allows you to customize the display options.

Depending on your actions as you work with the SAP System, you may also see:

  • Radio buttons and checkboxes. For more information, see Radio Buttons and Checkboxes .
  • Dialog boxes. For more information, see Dialog Boxes .


Release 4.6: The New SAP GUI

Definition

The SAP graphical user interface (SAP GUI) consists of the technical features that enable you to exchange information with the SAP System (by entering data, choosing functions, and so on). For Release 4.6, SAP has made extensive changes to the SAP GUI design.

Use

New Display Options

The redesigned features include:

  • Text fonts and colors
  • Color schemes
  • Sound and animation settings
  • Additional options for data presentation

Structure

The new SAP GUI consists of two main screen areas.

  • Screen header

The screen header consists of:
        • Menu bar
        • Standard toolbar
        • Title bar
        • Application toolbar
  • Screen body

The screen body is the area between the screen header and the status bar.

A typical example of an SAP screen (here, the SAP Easy Access initial screen) with the new SAP GUI is shown below:

Changes to the Screen Header

Screen Banner

In previous releases, the title bar and menu bar were at the top of the R/3 window. As of Release 4.6, a screen banner replaces these two elements. The screen banner consists of:

  • Menu bar

GUI interaction buttons

The Minimize, Maximize, and Close buttons are no longer in the top right-hand corner. They are now slightly to the left, beside the SAP logo:

You can also find these GUI interaction options in the dropdown menu that appears when you choose [image] in the top left-hand corner.
  • Standard toolbar

Command field

By default, the command field is closed. To display it, choose the arrow to the left of the Save icon:

The command field appears:

To hide it, choose the arrow to the right (outside) of the field.

To display a list of the transactions you used last, choose the dropdown arrow [image] at the right-hand end of the field.
  • Other features

In the top right-hand corner, the ripple animation indicates data request activity: . This was previously shown by a change of color in the status fields.

Changes to the Screen Body

Screen Elements and Layout

  • The screen elements (group boxes, buttons, scrollbars, and so on) have a new design.
  • The screen layout has changed. For example, a tab leader now guides the eye from field names to fields, and important screen areas are highlighted more prominently.
  • Required input fields were previously identified by a question mark within the field. They now have a checkmark icon at the left-hand end: .

Status Bar

  • System message identification (far left)
    • identifies error messages.
    • identifies affirmative system messages.
  • Status fields (far right)

By default, the status fields appear at the far right:

To hide these fields, choose the arrow pointing to the right:

When the fields are hidden, the arrow points in the other direction:

To display the status fields, choose the arrow pointing to the left:

Icons

SAP has changed the graphical design of all icons used in the SAP System.

Changes to GUI Controls

SAP has also redesigned screen elements such as trees, tables, and tabs.

GUI Interaction Principles

The GUI interaction principles – such as minimizing, maximizing, canceling, and dropdown menus – remain the same.


The Menu Bar

Use

Menus allow you to find a specific transaction when you do not know the transaction code. The menu is organized according to the task you are doing in the SAP System.

Menus are dropdown; that is, when you choose a menu item, further options appear.

A typical menu bar in the SAP System is shown below:

Features

This following menus are standard on every SAP screen:

Menu | Description
System | Contains functions that affect the system as a whole – such as Create session, User profile, and Log off.
Help | Provides various forms of online help.
 | The layout menu, identified by [image] at the far right of the standard toolbar, allows you to customize certain SAP window settings (for example, cursor position and the TAB function).

The following menus are standard in most SAP applications:

Menu | Description
<Object> | Usually named after the object you are currently working with, for example, Material. Contains functions that affect the object as a whole – such as Display, Change, Print, or Exit.
Edit | Allows you to edit components of the current object – for example Select, Edit, and Copy. The Cancel option lets you leave a task without saving the data you have entered.
Goto | Allows you to move directly to other screens of the current task. Also contains the Back option, which takes you back one level in the system hierarchy. Before going back, the system checks the data you have entered on the current screen, and displays a dialog box if it detects a problem.

The following menus may also appear:

Menu | Description
Extras | Contains additional functions you can choose to complete the current object or an object component, but which you do not need regularly.
Environment | Contains functions you can choose to display additional information about the current object.
View | Allows you to display the current object in different views, for example, switching between a single-line and double-line display of a table.
Settings | Allows you to set user-specific transaction parameters.
Utilities | Allows you to do object-independent processing, such as delete, copy, and print functions.

Sometimes not all of the available menus fit on one line in the menu bar. In this case, they wrap to the next line. The dropdown principle stays the same.


The Status Bar

Use

The status bar provides general information on the SAP System and transaction or task you are working on. At the left of the status bar, system messages are displayed. The right end of the status bar contains three fields: one with server information, the other two with status information.

Features

The status fields, shown below, are described from left to right:

  • At the far left,
    • identifies error messages.
    • identifies other system messages.
  • To hide (or display) the status fields, choose [image] to their left (or right, respectively).
  • To display the following system information, choose [image] in the first status field:
    • System
    • Client
    • User
    • Program
    • Transaction
    • Response time
  • The second status field displays the server to which you are connected.
  • The third status field specifies your data entry mode. By clicking this field, you can toggle between the Insert (INS) and Overwrite (OVR) modes. For more information, see Insert and Overwrite Modes .


Tabs

Use

Tabs enable you to enter, display, and alternate between multiple screens. In transactions containing multiple screens, they provide a clearer overview. In addition, tabs enable you to proceed from one tab page to the next without having completed all the data. To access a tab page, select the corresponding tab header.

In some cases, you must complete all required input fields on a tab page before you can move to the next tab page.

Features

  • In the case of longer tabstrips, not all of the tabs appear on the screen. The left and right arrows at the top of the tabstrip allow you to scroll to all the tabs.
  • If you choose the button at the right of the tabstrip, the system displays a list of all the tabs on the tabstrip. If you select a tab from this list, the selected tab page moves to the foreground.
  • Tabs are arranged in order of importance or in the process order of the transaction.
  • Tab headers can contain text, icons, or both.


Table Controls

Use

The table control function enables you to modify standard SAP table format as necessary. This is especially useful when standard SAP tables contain columns you do not use.

Features

Table controls provide the following features:

  • Fixed and variable columns. Variable columns have a horizontal scrollbar at the bottom.
  • Columns you can resize:

When you move the cursor to the gridline between two columns, the cursor changes to a double-headed arrow. To change column width, click the left mouse button, and move the gridline to the desired width.
  • Columns you can rearrange using drag and drop:

Place the cursor in the header of the column you want to move, hold the left mouse button, and move the column to the desired position.
  • If you move the cursor along the horizontal scrollbar, quick infos appear indicating the column that would jump to the first display position (after the fixed columns) if you click the scrollbar at that location.
  • You can set the optimal column width (as defined in the SAP System) by pressing and holding the Shift key, and clicking the left mouse button within any column header.
  • Icons at the bottom of a table are specific to that table. Some icons commonly used in tables are:
Icon | Name | Description
 | Choose detail | Displays all information currently available on the selected item
 | Create line | Adds a line
 | Delete line | Deletes a line
 | Select all | Selects all table entries
 | Deselect all | Deselects all table entries


Creating Table Control Variants

Prerequisites

The table control icon [image] must be present in the upper right-hand corner of the table.

Procedure

  1. Start the transaction containing the table control you want to change, and go to the appropriate screen.
  2. Set the table controls as desired:
    1. To change column width, place the cursor between two columns, click the left mouse button, and drag the column border to the left or right until you have the desired size.
    2. To change column position, select and hold the column header, and drag it to the desired position.
  3. Choose [image]. The Table Settings dialog box appears.
  4. Enter a name for the table control variant. Choose Create.
  5. If applicable, select Use as standard setting.
  6. To delete a variant, choose Delete.

Result

You have created a table control variant. You can repeat this procedure to create new variants.

The first item in the variant list is Basic setting, the default SAP table control. It is set by the system and cannot be deleted.


Activating Table Control Variants

Prerequisites

  • The table control icon [image] must be present in the upper right-hand corner of the table.
  • You must have created a table control variant.

Procedure

  1. Start the transaction containing the table control you want to change, and go to the appropriate screen.
  2. Choose [image]. The Table Settings dialog box appears.
  3. Specify the variant you want for the table control and how it should be used:
    • To make the variant the standard setting, choose Set standard.

This table control variant now appears each time you use this table.
    • To make the variant the current setting, choose Set active.

This table control variant will only be used while you have the transaction open. If you exit the transaction, and return to it later, the system uses the standard setting for the table control.
  4. Choose Close. The settings are now complete.


Radio Buttons and Checkboxes

Use

To enter information in the SAP System, you must sometimes select among several options. In some cases, you can select only one option; in others, you can select more than one.

When you can select only one, the options are identified by radio buttons:

When you can select more than one, the options are identified by checkboxes:

Activities

Choosing Options with Radio Buttons

  • To select an option, click the radio button next to that option. The selected radio button is now filled in.
  • To change your selection, click a different radio button. The original button is now empty and the new selection is filled in.
  • To select a radio button using the keyboard, use the Tab key to move to the group of options. Use the and ¯ keys to move to the desired option, and press the spacebar.

Choosing Options with Checkboxes

  • To select one or more options, click the checkbox next to each desired option. The selected checkboxes now contain a checkmark.
  • To deselect a checkbox containing a checkmark, click it again. The checkmark disappears.
  • To select a checkbox using the keyboard, use the Tab key to go to the group of options. Use the and ¯ keys to go to each desired option, and press the spacebar.
  • To deselect a checkbox containing a checkmark, use the and ¯ keys to go to the option, and press the spacebar. The checkmark disappears.


Dialog Boxes

Use

The SAP System displays dialog boxes when it:

  • Requires more information before it can proceed
  • Is providing information, such as messages or specific information about your current task

Before you can continue, you must choose an action from a dialog box. To choose an action, choose one of the buttons at the bottom of the dialog box.

A sample dialog box is shown here:

When you end a task without saving your data, or you choose a function that may cause you to lose data, the SAP System usually displays a dialog box in which you are asked to confirm or cancel your action.


Scrolling to View Information

Use

When you view information (for example, a list or online help), not all of the information may fit in your window. To see the additional information, you use scrollbars. To move:

  • Up and down, use the vertical scrollbar
  • Left and right, use the horizontal scrollbar

Procedure

To move | Do this
Up or down one line | Choose the up or down scroll arrow on the vertical scrollbar.
Left or right one character | Choose the left or right scroll arrow on the horizontal scrollbar.
Up or down one page | Click above or below the slider box on the vertical scrollbar.
Left or right the width of the page | Click to the right or left of the slider box on the horizontal scrollbar.
To a certain position in the information (up or down) | Drag the slider box on the vertical scrollbar to the approximate location of the desired information, and release the mouse button.
To a certain position in the information (left or right) | Drag the slider box on the horizontal scrollbar to the approximate location of the desired information, and release the mouse button.

You can also:

Move to | By choosing | Or pressing | Or pressing
First page |  | Shift + F9 | CTRL+PageUp
Last page |  | Shift + F12 | CTRL+PageDown
Previous page |  | Shift + F10 | PageUp
Next page |  | Shift + F11 | PageDown


Customizing the Display Options

If you are using the "classic" SAP graphical user interface (GUI) and you need information on customizing the display options, see the Online Help for SAP Releases up to and including 4.5B.

Use

After you have logged on, you can change the appearance of various elements of the SAP window by customizing the display options.

As of Release 4.6B, you access the display options by choosing:

  • The layout menu icon [image] at the far right of the standard toolbar, for various SAP window settings, or
  • The SAP GUI customizing icon [image] in the system tray (that is, the corner of the Windows task bar), for SAP graphical user interface (GUI) settings such as color customizing and sound settings

Prerequisite

You have installed the new SAP GUI for Release 4.6.

Features

In the layout menu, you can:

  • Customize the SAP window (for example, set the display options for quick infos and system messages, or return to the default window size)
  • Enable or disable automatic tabbing between fields
  • Define where the cursor should appear when you click a field
  • Create a hard copy of the current screen

Using the SAP GUI customizing options, you can change:

  • Color settings
  • Sound and animation settings

Additional Information

Configuring the SAP GUI

Using SAP Shortcuts

Customizing the SAP Window

Tabbing Between Fields Automatically

Cursor Position and Width

Creating Screen Shots

SAP GUI Color Settings

SAP GUI Sound and Animation Settings


Configuring the SAP GUI

Use

When you configure the SAP graphical user interface (GUI), you can alternate between:

  • The "classic" (that is, pre-Release 4.6) SAP GUI

and
  • The new (that is, redesigned) SAP GUI delivered as of Release 4.6

These settings are also available for other SAP applications and executable programs.

Prerequisite

You have installed the new SAP GUI for Release 4.6.

Procedure

  1. On your Windows desktop, choose Start → Settings → Control Panel.
  2. Choose the SAP Configuration icon.

    3. You can create a shortcut to this function by dragging the icon to your desktop.

    The following dialog box appears:

    By default, the new visual design setting is activated.

  3. To switch to the "classic" SAP GUI configuration, click the screen shot at the left.

    4. You now see:

  4. Choose OK.
  5. Open a new session for the "classic" setting to take effect.
  6. To reverse the setting, use the same procedure.
  7. When you choose the Applications tab, the following dialog box appears:

Here you can enter (by choosing Add) or delete (by choosing Remove) the names of applications and programs to which you want to apply the specified setting. When you have finished making your settings, choose Apply or OK.


SAP GUI Color Settings

If you are using the "classic" SAP graphical user interface (GUI) and you need information on customizing the color settings, see the Online Help for SAP Releases up to and including 4.5B.

Use

You can customize your SAP graphical user interface (GUI) color settings by:

  • Choosing from among a number of predefined (default) color schemes, or
  • Defining your own (custom) colors

Only the SAP-defined default color schemes ensure optimal readability of all items on a screen.

Prerequisite

You have installed the new SAP GUI for Release 4.6.

Procedure

Accessing the SAP GUI Customizing Functions

To access the SAP GUI Customizing functions:

  1. In the system tray (in the corner of your Windows task bar),
    1. Choose the SAP GUI customizing icon [image].

      2. This icon appears on the task bar when you log on or open a new session (and stays there when you move between sessions).

      When you log off the last session you were working with, the icon disappears.

    2. Or, right-click [image].

The following context menu appears:

When you choose Close, the SAP GUI customizing icon disappears from the system tray. You can restore it by opening another session.
  2. Choose Customize SAP GUI Settings.

The SAP GUI Settings dialog box appears, as shown below.

On the Color Settings tab page, you can:
    • Activate the default color schemes
    • Create customized color schemes, by adjusting hues, saturation, and luminosity
    • Have your color settings shift gradually in the course of the day
  3. You define your settings as described in the following sections.

Activating a Default Color Scheme

The default color schemes listed on the Color Settings tab page are based on either of two predefined color combinations:

  • Complementary, which uses two different colors (default: blue/tan)
  • Harmonic, which uses several shades of the same color (default: blue)

Each of these types also has a bright version, which has a higher contrast than the SAP delivery standard default setting. For maximum contrast, select High Contrast Blue.

When you log on to the SAP delivery standard, the default setting is Complementary.

To activate another default color scheme on the Color Settings list, place the cursor on the desired setting. The name of your selection now appears at the top of the list, and you see a preview in the simulated SAP window to the right. Then,

  • Choose Apply. The color scheme takes effect, and the dialog box stays open. You can now make additional changes to your color settings.
  • Or, choose OK. The color scheme takes effect, and the dialog box closes.

Creating a Customized Color Scheme

Foreground and Background Hues

In the Foreground Color and Background Color frames, you can use the slider box to create your own color schemes.

By default, the foreground and background hues are linked – that is, as you adjust the slider, the predefined intervals between the shades in a default color scheme stay the same.

  • To change your color scheme while keeping these default intervals, select a predefined color scheme, and adjust the slider to the desired hue.
  • To change the foreground and background hues individually, you must first deselect the Link checkbox.

As you are trying out colors, you can preview the results:

  • In the simulated SAP window at the right (for the complete color scheme)
  • In the shaded bar in the top right-hand corner of either slider box (for individual hues)

Color Saturation and Luminosity

In the Foreground Color and Background Color frames, you can fine-tune the hue, saturation, and luminosity of the respective colors individually.

To do this, double-click the shaded bar in the top right-hand corner of either slider box:

The Color Picker dialog box appears, as shown below:

To fine-tune the foreground and background hue, you use the slider box as before.

In the color palette to the right, a small ring localizes the selected color in relation to neighboring shades, with respect to:

  • Saturation (vertical axis)
  • Luminosity (horizontal axis)

To adjust either of these variables, click inside this palette, and drag the cursor to the desired position. The localizer disappears until you let go of the cursor. As before, you can preview the results.

Gradual Color Shift

You can choose to have your color settings shift gradually in the course of the day.

To do this, select the Activate Time Settings checkbox. The following additional options now appear in the lower part of the SAP GUI Settings dialog box:

To set the time frame in which you want your colors to shift:

  1. Select the Start or End radio button at the right, and use the time buttons to define the respective time settings.
  2. In the subsequent dialog box, enter the desired time ( hh:mm ) in the Custom field. If applicable, choose Set As Default.
  3. Refer to the the Start... End preview bar when adjusting the colors for the respective times of day.

Saving and Deleting Your SAP GUI Customizing Settings

  1. When you have finished defining your settings, the new color scheme takes effect for all SAP sessions that are currently open.
  2. To save your new color scheme, choose Save As..., and enter a name in the subsequent dialog box. Choose OK.
  3. To delete a color scheme from the list, choose Delete.
  4. If you have customized any of the default color schemes, and you want to revert to the default originals, choose Restore. This restores the original default settings without affecting the settings you have created.
  5. To exit the SAP GUI Settings dialog box, choose OK.


SAP GUI Sound and Animation Settings

Use

You can customize sound and animation settings for the SAP graphical user interface (GUI).

Prerequisite

You have installed the new SAP GUI for Release 4.6.

Procedure

In the system tray (in the corner of your Windows task bar), choose [image].

(You can also right-click this icon, and choose Customize SAP GUI Settings from the context menu.)

The SAP GUI Settings dialog box appears:

Choose the General tab. The following dialog box appears:

Here, you can customize:

  • The sound settings (default: On)

When you select Off, you deactivate certain SAP-defined sounds that are designed to complement standard Windows sounds. These sounds provide subtle feedback for user actions such as those resulting in system messages. This setting applies only to SAP applications.
  • The logon video (default: On)

When you log on to the SAP System (for the first time after you have started your computer), a logon video appears.

You can deactivate the first part of this video:
        • Permanently, by selecting Off for this setting, or
        • Case by case, by pressing Esc while the video is running


Customizing the SAP Window

If you are using the "classic" SAP graphical user interface (GUI) and you need information on customizing the SAP window, see the Online Help for SAP Releases up to and including 4.5B.

Use

The layout menu contains customizing options for:

  • Quick infos:
    • On/off
    • Speed of display
  • System messages:
    • Sound feedback
    • Display as dialog boxes
  • System programs for SAP graphics: performance options
  • Automation timeout period (for programs triggered by OLE automation)
  • Cursor:
    • Automatic tabbing
    • Position, width, and display in lists
  • Trace:
    • Select type of trace
    • Enable trace file
    • Display trace output in window

Using this menu, you can also:

  • Create SAP shortcuts. (For more information, see Creating an SAP Shortcut .)
  • Activate GuiXT, an alternative to transaction variants, for the screen output of any transaction. (For more information on GuiXT, see http://www.synactive.com.)
  • Set the window to default size (for batch input only)
  • Create screen shots. (For more information, see Creating Screen Shots .)

Prerequisite

You have installed the new SAP GUI for Release 4.6.

Procedure

In the standard toolbar, choose the layout menu icon [image].

Layout Menu: Options

  1. Choose Options....
  2. On the General tab, you can:
      • Deactivate the quick infos on your screen, or set the speed at which they appear
      • Have system messages appear as dialog boxes, with or without sound feedback
      • Set performance options for SAP graphics system programs:

By default, the Libraries option, which refers to SAP graphics system programs, is set to Keep loaded. This means that SAP graphics stay loaded in the main memory even if they are not used. If you encounter performance problems during graphics loading – that is, if a graphic terminates before it has finished loading for the first time – you can prevent this from happening again by changing the setting to Preload. To have graphics unloaded after use, choose Free after use.
      • Specify an automation timeout period for OLE connections to external programs (such as MS Word or Excel):

If you get System busy messages with external programs that are triggered by OLE automation, SAP recommends that you set the number of seconds to a higher value.
  1. On the Cursor tab, you can set automatic tabbing, and define cursor position, width, and display in lists.

    2. For more information, see:

    Tabbing Between Fields Automatically

    Cursor Position and Width

  2. You use the Trace tab primarily when you are working with a hotline. On this tab, you can:
      • Select the type of trace. To obtain the log:
        • For screen layout, select Monitor.
        • For OLE controls, select Automation.
      • Enable trace files
      • Display the trace output in your window
  5. Choose OK to confirm your choices, or Cancel to reset the options to the previous settings.

Layout Menu: Additional Customizing Items

  • For information on creating an SAP shortcut, see Creating an SAP Shortcut .
  • To activate GuiXT for screen output, choose Activate GuiXT.
  • To change the default window size (for batch input only), choose Default Size.
  • For information on creating a screen shot, see Creating Screen Shots .


Tabbing Between Fields Automatically

Use

You can set automatic tabbing (AutoTAB) to have the cursor move between input fields automatically. This function is useful when you are entering a large amount of data and you do not want to press the TAB key to move from field to field.

AutoTAB only works at the end of an input field. For example, if the Material field can hold 12 characters, but the material number you enter is only 7 characters long, you must still press the TAB key to move to the next input field.

Procedure

To turn automatic tabbing on or off:

  1. In the standard toolbar, choose the layout menu icon [image] → Options.... → Cursor.
  2. To enable AutoTAB, select Automatic TAB at Field End. To disable AutoTAB, deselect this option.
  3. Choose OK to confirm your choice, or Cancel to reset the AutoTAB option to the previous setting.


Cursor Position and Width

Use

You can change the following default cursor settings:

  • Position when you select an input field with a mouse-click or tab
  • Width
  • Display in lists, so that the cursor marks:
    • Only one character
    • An entire column

Procedure

To change your cursor settings, choose the layout menu icon [image] → Options... → Cursor.

The following dialog box appears:

Cursor Position

Setting | Function
Note Cursor Position in Field at TAB | On: Places the cursor exactly where you last clicked within an input field Off: Places the cursor at the beginning of the input field
Position Cursor to End of Text | On: Places the cursor at the end of a text in an input field when you click to the right of the text Off: Places the cursor exactly where you click
Selecting the text in Editfield | Selects and highlights the text when you tab to an input field. Any input in this field will clear the field.
Cursor in Lists | On: Marks only one character Off: Marks an entire column


Creating Screen Shots

Use

You can print the content of any SAP window.

Prerequisite

You are working with a Microsoft Windows 32-bit operating system.

Procedure

In the standard toolbar, choose the layout menu icon [image] → Hardcopy.

At the default printer specified for your PC, the window's content is printed.


Multiple SAP Sessions

Use

A session is basically another SAP instance on your screen. Multiple sessions allow you to work on more than one task at a time. This can save you time and reduces the need to jump from screen to screen.

Features

You can open up to six sessions, and do a different task, or even the same task, in each one. You can move around between the open sessions, and you can close any session without having to log off from the system.

If you try to work on the same record (for example, the material master record for a specific material) at the same time on multiple sessions, you may "lock yourself out" of one of the sessions. If this happens, choose Exit or Back to move out of the transaction. Then you will be able to proceed.

Additional Information

Creating a New Session

Creating a New Session and a Task at Once

Moving Among Sessions

Ending a Session


Creating a New Session

Use

You can create a session at any time. You do not lose any data in sessions that are already open.

You can create up to six sessions. Each session you create is as if you logged on to the system again. Each session is independent of the others. For example, closing the first session does not cause the other sessions to close.

Too many open sessions can result in slower system performance. For this reason, your system administrator may limit the number of sessions you can create to fewer than six.

Procedure

To create a new session from anywhere in the system:

  • Choose System ® Create session from the menu bar, or
  • Choose [image].

Result

The system opens an additional window. The new session becomes the active session and remains the active session unless you click on a different (open or new) session.

Each session has a session number, which appears in that session’s status bar. It appears in parentheses next to the system name.

This graphic shows the new session window on top of the original window. Note the session number in parentheses in the status bar.

Additional Information

Creating a New Session and a Task at Once .


Creating a New Session and a Task at Once

Use

You can create a session and start a task in one step by using a transaction code. When you open a session with a transaction code, the system displays the initial screen of the task in a new session. To use this method, you must know which transaction code to use for the task you want to perform.

For more information, see Finding the Transaction Code for the Task You Want to Start .

Procedure

To create a new session and a task simultaneously:

  1. In the command field, enter /o (the forward slash and the letter o) followed by the transaction code for the task you want to start.

    2. For example, to create a customer master record in the Accounts Receivable application, you use Transaction FD01. To open a session and start this task at the same time, you enter /ofd01 in the command field.

  2. Choose Enter.

Result

The system opens an additional window for the new session and displays the initial screen of the transaction.


Moving Among Sessions

Prerequisites

You can move among sessions as often as you like without losing any data.

As long as you remain logged on to the SAP System, you can leave a session for as long as you like. Moving to a different session is like putting a telephone call on hold: You can resume the call whenever you are ready.

Procedure

To move from one session to another, click any part of the window that contains the session you want to go to (or use the key(s) specified for changing windows).

The window you choose becomes the active window: it moves in front of all the other windows on your screen.

If you have several sessions open, you can minimize the sessions you are not using. When you need to use one of these sessions later, you can restore it by clicking the appropriate symbol in the status bar, making it the active session.

By minimizing the sessions you are not using, you can significantly reduce the system load.


Ending a Session

Use

After you are done using a session, it is a good idea to end it. Each session uses system resources that can affect how fast the SAP System responds to your requests.

Before you end a session, save any data you want to keep. When you end a session, the system does NOT prompt you to save your data.

If you have only one session open and you end it, you will log off from the system. However, before logging you off, the system prompts you to save your data.

Procedure

You can either

  • Choose System ® End session from the menu bar, or
  • Choose [image] in the upper right-hand corner of the active session.

The session is closed and you return to the previous session.


Startup and Shutdown of the SAP System

Use

Before you can use the SAP System, you must log on. When you are finished using the SAP System, you log off. The first time you log on, and at regular intervals thereafter, you should change your password.

Activities

  • Regardless of the tasks you will be performing in the SAP System, you will always be starting up and shutting down the SAP System.
  • You start the SAP System by selecting the logon icon on your desktop.
  • You log on to the SAP System.
  • If this is your first time logging on, you will have to change the initial password provided by your system administrator. If this is not your first time logging on, you may have to change your password in accordance with the security policies at your company.
  • When you are finished working with the SAP System, you log off.

Additional Information

The SAP Logon


Starting the SAP System

Procedure

To start the SAP System, choose the icon for the SAP System.

For example, start the SAP System by double-clicking the SAP icon in your SAP application window.

Result

The logon screen (in the example below, with the title SAP R/3) appears in a new window. You are now ready to log on.

For more information on starting the SAP System, contact your system administrator.


Logging On

Prerequisites

Before you log on, make sure you know:

  • Your client number
  • Your user ID
  • Your password

If you want to work in a language other than English, make sure you know the language key for your desired language. For more information, contact your system administrator.

After you have entered data in a field, you can move the cursor to the beginning of the next field by pressing the TAB key.

If you have set the Autotab option, you do not have to press the TAB key if you enter the maximum number of characters possible in a field. For example, the maximum number of characters you can enter in the Client field is three. If you enter 001 in the Client field, the cursor automatically moves to the beginning of the next field. For more information, see Tabbing Between Fields Automatically .

Procedure

If you are logging on for the first time, see Logging On the First Time .

If you have logged on previously, but cannot remember how:

  1. Check the Client field. This field may already contain a default client number.

    2. You can either accept the client number, or change it by typing over it.

    To move the cursor to the Client field, press the TAB key.

  2. If necessary, move the cursor to the User ID field by pressing the TAB key.

    3. In the User ID field, enter your user ID.

    To move the cursor to the Password field, press the TAB key.

  3. In the Password field, enter your password.

    4. As you type your password, the asterisks remain in the field, and only the cursor moves. As a security measure, the system does not display what you type.

  4. To display screens, menus, and fields in a language other than English, move the cursor to the Language field by pressing the TAB key. Enter the language key for the desired language.
  5. Choose Enter.

    6. In the standard SAP System, the Copyright dialog box appears.

    If you do not see this dialog box, check the status bar for a system message. You may have entered an incorrect client number, password, user ID, or language key. If this is the case, repeat steps 1 through 5.

  6. In the Copyright dialog box, choose Continue.

If there are systemwide messages – for example, from your system administrator – the System Messages dialog box is displayed. After you have read the messages, choose Continue to close the dialog box.

Result

You have successfully logged on to the SAP System.

Additional Information

Passwords

The SAP Logon


Logging On the First Time

Prerequisites

Before you log on the first time, your system administrator will give you an initial password. During the logon process, you should create a new password, one that you alone will know. After that, you use your own password whenever you log on. (These procedures may differ somewhat at your company; for more information, contact your system administrator.)

To log on, you must first open the SAP Logon Menu by double-clicking its icon. For more information, see The SAP Logon .

The SAP logon icon now appears in both the task bar (together with the SAP Release number) and the system tray (that is, the bottom right-hand corner of your desktop).

After you start the SAP System (see Starting the SAP System ), the first screen you see is the logon screen (in this case, with the title SAP R/3).

When you press the TAB key after you have entered data in a field, the cursor moves to the beginning of the next field. However, if you enter the maximum number of characters possible in a field, you do not have to press the TAB key. For example, the maximum number of characters you can enter in the Client field is three. If you enter 001 in the Client field, the cursor automatically moves to the beginning of the next field. For more information on automatic tabbing, see Tabbing Between Fields Automatically .

For more information on entering data, see Entering Data in Fields .

Procedure

The logon screen is shown above. To log on to the SAP System:

  1. In the Client field, enter the client number.

    2. If a default client number appears in the field, you can either accept it, or change it by typing over it.

    To move the cursor to the User ID field, press the TAB key.

  2. In the User ID field, enter your user ID.

    3. To move the cursor to the Password field, press the TAB key.

  3. In the Password field, enter the initial password provided by your system administrator.

    4. As you type the initial password, the asterisks remain in the field, and only the cursor moves. As a security measure, the system does not display what you type.

    In the SAP System, passwords are not case-sensitive.

  4. To display screens, menus, and fields in another language, move the cursor to the Language field by pressing the TAB key. Enter the language key for the desired language.
  5. Choose Enter.
  6. The system automatically displays the new password dialog box. You must change your initial password.

    7. If you do not see the new password dialog box, check the status bar for a system message. You may have entered an incorrect client number, password, user ID, or language key. If this is the case, repeat steps 1 through 5.

  7. In the New password field, enter a new password. (If you need help, see Passwords .)

    8. Memorize your password. You cannot log on to the SAP System without it.

    As you type the new password, the asterisks remain in the field, and only the cursor moves. As a security measure, the system does not display what you type.

    To move the cursor to the Repeat password field, press the TAB key.

  8. In the Repeat password field, enter the new password again, exactly as you entered it the first time.
  9. Choose Confirm (or choose Enter). If you have successfully changed your password, the Copyright dialog box appears.
  10. In the Copyright dialog box, choose Continue (or choose Enter).

If there are systemwide messages, the System Messages dialog box appears. After you have read the messages, choose Continue (or choose Enter) to close the dialog box.

You can display the system messages later by choosing Tools ® Administration ® Administration ® System Messages.

Result

In the standard SAP System, the SAP Easy Access initial screen appears, as shown here.

Additional Information

The SAP Logon


The SAP Logon

Definition

The SAP Logon is the Windows program that you use to log on to SAP Systems on Windows PCs. It mediates between the SAP System and the SAPgui user interface. The SAP Logon displays a list of available SAP Systems and automatically selects servers with the best current response times. You can add available systems or servers to this menu.

Use

When you log on to the SAP System, you can:

  • Log on to a specific application server.
  • Log on to a group. In this case, the application server with the best response time is selected automatically.

From Release 4.6A, when you log on to the SAP Logon, the SAP Logon icon is displayed in the system tray of the system taskbar (in the bottom right-hand corner of the screen). You can maximize or minimize the SAP Logon by clicking the icon using the left mouse button.

If you click the icon using the right mouse button, you can display a list of connections to SAP Systems that are already open.

From 4.6A you can also use the mouse to increase the size of the SAP Logon. This enables you to see all of the following information:

  • Description of the SAP System and its system ID
  • The group or server
  • The system number
  • The message server
  • SAP routers.

See also:

Adding a New Logon User Group

Adding an Application Server

Configuring the SAP Logon

Questions and Answers: Logon Load Balancing


Adding and Editing Entries Manually

Procedure

To add a new entry:

  1. Display the SAP Logon by choosing Start Õ SAP Frontend Õ SAPlogon
  2. Choose New... to display the New Entry dialog box.
  3. Enter the following information:

Description: A short description of the system

Application Server: The name of the host that you want to connect to

SAP Router String: A routing entry (for example, saproute.ini .)

SAP System: Specify whether the new SAP System is an R/2 or an R/3 System

System Number: Specify the system number of the SAP System that you want to connect to

To change an existing entry:

From the SAP Logon, select a system and choose Properties.

For server entries, you can change all data. For logon group entries, you cannot change the Application Server, the SAP System or the System Number.

To remove an entry:

From the SAP Logon, select a system and choose Delete.

To exit:

To exit the SAP Logon, choose Close.

See also:

Configuring Logon Groups

Recommendations for Logon Groups


Adding a New Logon User Group

Use

Most users only have one group in their selection. You can add additional groups to the SAP Logon.

Procedure

  1. Display the SAP Logon by choosing Start Õ SAP Frontend Õ SAPlogon.
  2. Choose Groups… to display the Group Selection dialog box.
  3. In the System ID field, enter the system that you want to log on to.

    4. If a SAP Router is used to connect to the message server, select the SAP router in the SAP Router for field.

  4. Choose Generate list. The system displays the logon groups that are active.
  5. Select a logon group and then choose:
  • Logon to log on without adding the logon group to the list
  • Add to add the logon group to the list without logging on
  • Add and Logon to add a logon group to the list and log on immediately.

See also:

Adding an Application Server


Adding an Application Server

Procedure

  1. Display the SAP Logon by choosing Start Õ SAP Frontend Õ SAPlogon.
  2. Choose Server… to display the Server Selection dialog box.
  3. In the System ID field, enter the system that you want to log on to.

    4. If a SAP router is used to connect to the message server, select the SAP Router in the SAP Router for field.

  4. Choose Generate list to display the active servers.
  5. Select a server and choose:
  • Logon to log on without adding the server to the list
  • Add to add the server to the list without logging on
  • Add and Logon to add a server to the list and log on immediately

See also:

Adding a New Logon User Group

Adding and Editing Entries Manually

Configuring Logon Groups


Configuring the SAP Logon

Use

You can change the following settings in the SAP Logon:

Language

You can display the SAP Logon in the language that you select. To use this option, the SAP Logon language file must be installed by the system administrator.

Message Server Timeout: ____ secs

Specifies how long the SAP Logon waits for a response from the R/3 Message Server. The default value, ten seconds, is normally sufficient, even with slow wide-area network connections.

If you experience repeated timeout connection errors, increase this value. If the error persists, there is probably a network installation problem.

Confirmation of listbox entry delete

Check this box if you want to display a warning before you delete a system or logon group from the SAP Logon.

Disable editing functionality

Check this box if you want to prevent logon entries from being changed. If editing functionality is disabled, you cannot use the options Properties, Groups, Server, New and Delete in the SAP Logon.

Activate SAPgui trace level

Check this box if you want to define and activate a network trace (SAPGUI trace). For reasons of security and performance, you should only activate the trace options to diagnose the system.

When you choose this option, you can select the trace level that is used. If you select level 2 or 3, an additional log file is generated that records all incoming data in an encrypted binary code.

Additional data hexdump in trace

Check this box if you want to list additional memory areas in the SAPgui trace. This option is only available if you choose trace level 2 or 3, since these trace the data that must be checked against the hexdump when errors occur.

This option can result in both considerable losses in performance and very large trace files.

Additional command line arguments

You can enter any additional command lines arguments in this input field.

The additional information that appears here can help solve particular frontend problems. Only perform the network trace options if the SAP Hotlines requests you to. You should cancel the network trace options as quickly as possible and remove the trace files.

Procedure

  1. Display the SAP Logon by choosing Start Õ SAP Frontend Õ SAPlogon.
  2. Click on the SAP Logon icon in the top left-hand corner of the window and choose Options. You can then change the settings that are described above in the SAP Logon configuration dialog box.
  3. Choose OK to return to the initial screen of the SAP Logon.

When you change the SAP Logon language, the system asks you to restart the SAP Logon that is affected by the new language setting. You should then close the SAP Logon and restart it.


Passwords

Definition

A password is a combination of characters that you enter every time you log on to the SAP System.

Use

Your password prevents other people from accessing or changing your work.

Memorize your password. You cannot log on to the SAP System without it.

Structure

When creating a password:

  • You must use at least 3 but no more than 8 characters.
  • You can use any combination of alphanumeric characters, including:
    • The letters a through z
    • The numbers 0 through 9
    • Punctuation marks

Do not begin a password with:

  • A question mark (?)
  • An exclamation point (!)
  • A blank space
  • Three identical characters (for example, bbbat)
  • Any sequence of three characters contained in your user ID (for example, man, if your user ID is Friedman).

Do not use:

  • pass or init as your password
  • Any of the last five passwords you used

In the SAP System, passwords are not case-sensitive. For example, the password blue is the same as Blue or BLUE .

The table below gives examples of valid and invalid passwords.

Valid | Invalid
frtas | !brex (begins with an invalid character)
jullo=6 | aaab (begins with three identical characters)
3bar | me (contains fewer than three characters)


Changing Your Password

Prerequisites

You can change your password whenever you log on to the SAP System. For security reasons, however, your system administrator may require that you change your password at regular intervals, for example, every 30 days. In this case, you will receive a message from the SAP System when it is time to change your password.

You can only change your password from the logon screen.

To check the rules for creating a new password, see Passwords .

In the steps below, you are instructed to press the TAB key after you enter data in a field. In the standard system, when you press the TAB key, the cursor moves to the beginning of the next field. However, you do not have to press the TAB key if you enter the maximum number of characters possible in a field. For example, the maximum number of characters that you can enter in the Client field is three. If you enter 001 in the Client field, the cursor automatically moves to the beginning of the next field.

For more information about entering data, see Entering Data in Fields .

Procedure

  1. Enter the following data in the respective fields on the logon screen:
    1. Client number
    2. User ID
    3. Your current password
    4. Language key, if you want to work in a language other than English

    For more details, see Logging On .

  2. In the application toolbar, choose New password.

    3. The new password dialog box appears, as shown here.

    If you do not see this dialog box, check the status bar for a system message. You may have entered an incorrect client number, password, user ID, or language key. If this is the case, repeat steps 1 through 5.

  3. In the New password field, enter a new password. (If you need help, see Passwords .)

    4. As you type the new password, the asterisks remain in the field and only the cursor moves. As a security measure, the system does not display what you type.

    Press the TAB key to move the cursor to the Repeat password field.

  4. In the Repeat password field, enter the new password again, exactly as you entered it the first time.

    5. Memorize your password. You cannot log on to the SAP System without it. If you forget your password, contact your system administrator.

  5. Choose Enter.

    6. In the standard SAP System, the Copyright dialog box appears.

    If a different dialog box appears, you have either made a mistake entering your new password, or it is not a valid password. The dialog box contains a message describing the mistake. In this case:

    1. Remove the dialog box by choosing Confirm.

      2. The new password dialog box reappears.

    2. Repeat steps 3 through 5. (If you need help creating a valid password, see Passwords .)
  6. In the Copyright dialog box, choose Continue.

The copyright notice disappears.

If there are systemwide messages, they appear. After you have read the messages, choose Continue in the dialog box to close it.

Result

In the standard system, the SAP Easy Access initial screen appears.


SAP Shortcuts

Use

Using SAP Shortcuts, you can start an SAP transaction, run a report, or execute a system command directly from your Microsoft Windows desktop. Shortcuts eliminate the need to navigate through menus to access screens. This is particularly useful for tasks you run regularly.

Prerequisites

To use SAP Shortcuts, you must be running a Windows 32-bit operating system.

Features

  • You can create SAP Shortcuts for direct access to:
    • Transactions
    • Reports
    • System commands
  • You can use SAP Shortcuts even if you have the SAP System running with an open dialog box.
  • You can store your SAP Shortcuts either directly on your desktop, or in a directory on your system.
  • There is no limit to the number of SAP Shortcuts you create.


Creating an SAP Shortcut

Prerequisites

  • You are running a Microsoft Windows 32-bit operating system.
  • The SAP Shortcut file type has been registered in your Windows registry. This happens automatically during successful installation of an SAP graphical user interface (SAP GUI).
  • You have received an SAP user ID from your system administrator, and created a password.
  • You know the transaction code for the screen for which you want to create an SAP Shortcut.

Procedure

Creating an SAP Shortcut from Your Desktop

  1. Place the cursor anywhere on the desktop (not on an open Windows application), and click the right mouse button.
  2. Choose New ® Sapgui Shortcut.
  3. Enter the name of the shortcut as desired, but keep the .SAP file extension. Choose Enter.

    4. You have now created a file for your shortcut. Next, you must define this file.

  4. Click the right mouse button. Choose Edit.

    5. A dialog box appears. The title bar contains the complete path of the shortcut file.

  5. From the dropdown list for the System field, select the system ID. Complete the Client field. If you do not remember your client, check the SAP GUI logon dialog box you were using previously.
  6. Complete the User name and Language fields. If you leave User name blank, the system automatically uses your Windows user ID. The Password field is normally deactivated, for security reasons. Only your PC administrator can activate this field.
  7. In the Type field, specify whether the shortcut is for a:
    • Transaction
    • Report
    • System command
  8. In the Title field, enter the shortcut title.
  9. In the Command field, enter the appropriate code. For example:
    1. To create a shortcut that takes you to the Create Material: General screen, enter Transaction code MM01 .
    2. To create a shortcut for the Archiving Check Data report, enter report name RFCHKA00 .
    3. To create a shortcut that immediately logs you off, enter system command /nex .

To obtain the transaction code for the Command field, go to the status bar of the task for which you are creating a shortcut, and click the list arrow. If you do not enter a code, the system defaults to Transaction code S000, which is the initial screen of the SAP System.
  10. Choose OK. The shortcut appears on your desktop.
  11. The system automatically saves the <NAME>.SAP file corresponding to this shortcut in your desktop directory under your operating system directory. If you prefer to keep all your SAP Shortcut files in one place, you can move this file to a directory of your choice.

Creating an SAP Shortcut from a Specific Screen in the SAP System

  1. Go to the screen for the task you want to run, and choose [image] or [image].

    2. The New Sapgui Shortcut dialog box appears.

  2. Check that the information in the dialog box (User name, Language, Type, Title, Command) is correct.
  3. Choose OK.

    4. The shortcut appears on your desktop.

  4. The system automatically saves the <NAME>.SAP file corresponding to this shortcut in your desktop directory under your operating system directory. If you prefer to keep all your SAP Shortcut files in one place, you can move this file to a directory of your choice.

If the Password field of the New Sapgui Shortcut dialog box has been activated, you can specify a password. However, for security reasons, this is not recommended, and a warning appears. You should only include your password in an SAP Shortcut if you are certain no one can access your PC or your disk/directory.


Using SAP Shortcuts

Prerequisites

  • You have received an SAP user ID from your system administrator, and created a password.
  • You have created an SAP Shortcut. It is available on your desktop.

Procedure

If you do not have an SAP session running

  1. Double-click the SAP Shortcut for the task you want to run.

    2. A logon dialog box is displayed. The title bar specifies the system ID, client, language, and task.

  2. Enter your password. Choose Logon, or choose Enter.

    3. The SAP session starts.

  3. To view or change your shortcut definition while you are logging on, position the cursor anywhere in this logon dialog box (not on the title bar, input fields, or pushbuttons), and click the right mouse button. The context menu is displayed.

In this context menu, if you do not enter a password, only the Edit option is activated. After you have entered the first character of your password, both the Open and Edit options are activated.

If you have an SAP session running

Double-click the SAP Shortcut for the task you want to run.

  • If an application is already running, a new SAP session starts.
  • Otherwise, the current SAP session starts the task you want to run.

To start a shortcut from within an open SAP session, drag and drop the shortcut onto the open session. The system starts the task you want to run. The following functions are also available:

Key + Drag and Drop | Result: You can now...
Shift + Drag and Drop | Edit the shortcut.
CTRL + Drag and Drop | Open a new session, and start the task you want to run.


Session Manager

Use

The Session Manager is a tool for system logon and session control for use with Microsoft Windows 32-bit operating systems. If you are not running one of these operating systems, follow the instructions under Logging On and Logging Off .

For more detailed information, see The SAP Session Manager


Logging Off

Procedure

You can log off from the SAP System from any screen.

  1. From the menu bar, choose System ® Log off.
  2. Click the [image] button at the upper right-hand corner of the screen (if you only have one session running).

    3. The Log off dialog box appears (as shown here), informing you that any data you have not yet saved will be lost if you proceed with logging off.

  3. If you are not certain that you have saved all of your data, and you do not want to log off after all, choose No. You return to the screen in which you were working.

If you are certain that you have saved all of the data you want to save, choose Yes. All of your SAP System sessions close. You have successfully logged off.


What Are the Steps in a Typical Task?

Use

In the SAP System, a task consists of one or more screens on which you enter data. Some typical tasks might be creating customer master records, entering invoices, or creating sales documents.

Activities

To perform a task in the SAP System, you typically:

  1. Choose the task that you want to work on. (See Accessing Tasks in the SAP System .)
  2. Enter data on the initial screen of your task.

Each screen contains input fields in which you enter data. Some fields require entries, others do not. (See Entering Data on a Screen .)
  3. Go to the next screen.

When you go to the next screen, the SAP System temporarily stores the data you have just entered. (See Moving Through Tasks .)
  4. Enter data on the next screen of your task.

You can:
        • Return to previous screens to make changes
        • Skip screens that are not required
        • Go to a related task to get information or to complete additional screens

(See Moving Through Tasks .)
  5. Repeat steps 3 and 4 until all the screens that make up your task are completed.
  6. Save your data for the entire task.

The system saves the data from all the screens you have completed. (See Saving the Data on a Screen .)


Accessing Tasks in the SAP System

Procedure

After you log on to the SAP System, you choose the task that you want to work on. You can switch to different tasks at any time.

In the SAP System, you can:

  • Choose a task from the SAP Easy Access workplace menu. With this menu, you can easily find your application without having to memorize transaction codes.

For more information, see:

SAP Easy Access

Navigating in the Workplace Menu

Choosing Menus and Functions with the Mouse

Choosing Menus and Functions with the Keyboard
  • Enter a transaction code in the command field. With transaction codes, you can go directly to a task without having to navigate through several different menus.


Choosing Menus and Functions with the Mouse

Prerequisites

You choose menus, submenus, and functions by clicking them.

Procedure

Choosing from a Menu

To choose a menu with the mouse, click the desired menu in the menu bar or SAP Easy Access workplace menu.

The menu opens – that is, its contents (functions, submenus, or both) appear.

In the menu bar of the SAP window, the dropdown arrows indicating submenu options are to the right of each menu item, as in the following example:

In the SAP Easy Access workplace menu, the dropdown arrows indicating submenu choices are to the left of each menu item, as in the following example. (After you have opened a submenu, the dropdown arrow you have just used points downward.) If there is no arrow next to a menu item, you go directly to the transaction screen.

Choosing a Submenu

To choose a submenu with the mouse, click the desired submenu.

The submenu opens next to the original menu, as shown in the above example. If your system is busy, it may take a few seconds to display the submenu.

Canceling a Menu or Submenu Choice

You can cancel, or close, any menu with its submenus by clicking any blank area of the screen.

Choosing a Function from a Menu or Submenu

To choose a function from an open menu or submenu, click the desired function.

The selected menu and any submenus close, and the system executes the function of your choice.

Choosing Functions from the Toolbars (Shortcut)

Depending on your current task, various buttons are available on the standard toolbar and on the application toolbar. To choose a function with one of these buttons, you click the appropriate button.

In the standard toolbar, these buttons can include functions such as Save, Display, or Exit.

A typical application toolbar is shown here:

Choosing Functions from the Context Menu (Shortcut)

The SAP System uses the function keys on your keyboard. Depending on your task, certain function keys are active – that is, various functions from your application and task are assigned to them.

You can display a context menu with these function keys and their assigned functions. By default, this context menu is not visible. To display it, click the the right mouse button. Since the only other way to access some of these functions may be to navigate the menus, you can use the context menu as a shortcut.

To choose a function from the context menu on any screen:

  1. Place the cursor anywhere below the toolbars.
  2. Click the right mouse button.

    3. The context menu opens, as shown in this example:

  3. Choose the desired function.


Choosing Menus and Functions with the Keyboard

Use

To navigate in the SAP Easy Access workplace menu, you use the up and down cursors as well as the Delete and Enter keys.

To choose a menu from the menu bar, you use the F10 key, the cursors, and the Enter key.

Procedure

Using the Keyboard to Navigate in the SAP Easy Access Workplace Menu

  • To move up and down in the workplace menu, use the up and down cursors ( and ¯).
  • To delete a favorite from your favorites list, choose Delete.
  • To open a folder or start a transaction, choose Enter.

Choosing a Menu in the Menu Bar

To choose a menu with the keyboard:

  1. Press F10 .

    2. The system activates the menu bar and highlights the first menu on the left.

  2. To highlight the menu of your choice, use the left and right cursors (¬ and ®).
  3. Press the down cursor (¯).

The menu opens. If your system is busy, it may take a few seconds for the contents to appear.

The system highlights the first item in the menu. Submenus are indicated by dropdown arrows to the right of menu items.

Choosing a Submenu

To choose a submenu with the keyboard:

  1. From the open menu, use the up and down cursors ( and ¯) to move the highlight to the desired submenu.
  2. Press the right cursor (®).

The submenu opens next to the original menu, and its contents (functions, submenus, or both) appear. If your system is busy, it may take a few seconds to display the contents.

The system highlights the first item in the submenu.

Canceling a Menu or Submenu Choice

To cancel, or close, any menu or submenu, press ESC . Or, press F10.

The system closes the respective menu and submenus, and deactivates the menu bar. To choose another menu, press F10 again.

Choosing a Function from a Menu or Submenu

To choose a function from an open menu or submenu:

  1. From the open menu or submenu, use the up and down cursors ( and ¯) to highlight the desired function.
  2. Choose Enter.

The system closes the respective menu and any submenus, and executes the selected function.

Choosing Functions with Function Keys (Shortcut)

The SAP System uses the function keys on your keyboard. Depending on your task, certain function keys are active – that is, they are assigned various functions from your application and task.

To choose a function using a function key:

  1. Display a list of the function keys available in your current task, press and hold CTRL , and press F .
  2. Press the function key for that function.


Task Selection with Transaction Codes

Use

After you have logged on to the SAP System, you choose the task that you want to work on. You can switch to different tasks at any time.

Each function in the SAP System has a transaction code associated with it. A transaction code consists of letters, numbers, or both, for example, FB05 or SUSR. You enter transaction codes in the command field. For more information on the command field, see Release 4.6: The New SAP GUI .

By entering a transaction code instead of using the workplace menu, you can go to a task and start the function in a single step. Although using transaction codes efficiently requires some memorization of codes, it is also a quicker way to get around in the SAP System.

For example, entering transaction code FD01 takes you directly to the screen for creating a customer master record in Accounts Receivable.

You can use a transaction code to go to any task in any SAP application. For example, if you are working in the Accounts Receivable application, you can go to a task in the Accounts Payable application.

Prerequisites

Before you can use a transaction code, you have to find the right transaction code for the task you want to start.

Additional Information

Finding the Transaction Code for the Task You Want to Start

Finding the Transaction Code for the Current Task

Entering a Transaction Code

Choosing a Transaction Code from the History List


Finding the Transaction Code for the Task You Want to Start

Prerequisites

Before you can use a transaction code, you must find the transaction code for the task you want to start.

Procedure

To find a transaction code for a certain task, place the cursor on the appropriate function (that is, menu item) in the SAP Easy Access workplace menu, and either:

  • Choose Extras ® Technical details.

A dialog box appears displaying the details for the selected menu item, as in the following example:
  • Or, choose Extras ® Settings ® Show technical name.

The menu closes. When you reopen it, the system displays the transaction code (not only for the selected item, but throughout the workplace menu), as in the following example:

Result

You can start the task now by double-clicking it, or by choosing Enter. You can also use the transaction code to start this task from any screen in the SAP System. When you use a transaction code to start a task, the SAP System ends your current task and then displays the initial screen of the new task.


Finding the Transaction Code for the Current Task

Procedure

To find the transaction code for the current task:

  • Choose the arrow at the far right of the first status field, as in this example:

The transaction code appears, along with other system information:
  • Or, from the menu bar, choose System ® Status.

The System Status dialog box appears. You can find the transaction code for the current task in the Repository data frame of the SAP data screen area, as in this example:

To find the transaction code for a different task, you can either:

  • Open the task, and choose System ® Status.
  • Or, activate the appropriate options on the SAP Easy Access workplace menu (see Finding the Transaction Code for the Task You Want to Start ).


Entering a Transaction Code

Procedure

To enter a transaction code and start a task:

  1. Place the cursor in the command field.

    2. As of Release 4.6, the command field is closed by default. To display it, choose the arrow to the left of the Save icon: .

    The command field appears:

    To hide it, choose the arrow to the right (outside) of the field.

    To display a list of the transactions you used last, choose the dropdown arrow [image] at the right-hand end of the command field.

  2. Enter /n (to end the current task) followed by a transaction code.

    3. For example, for Transaction code MB01, you would enter /nmb01 , as shown here.

  3. Choose Enter.

You exit the current task, and the initial screen of the new task appears.

If you do not want to end your current task, but you need to do another task, you can create a new session.

For example, suppose you are creating a purchase order and you need to look at a table with exchange rates. You can open a session to look at the exchange rate table without having to end your first task of creating a purchase order.

See Creating a New Session and a Task at Once .


Choosing a Transaction Code from the History List

Use

You can display a list of the transaction codes processed since you logged on (called a history list), and then choose a transaction code from that list.

Procedure

  1. In the standard toolbar, open the command field.

    2. As of Release 4.6, the command field is closed by default. To display it, choose the arrow to the left of the Save icon:

    The command field appears:

    To hide it, choose the arrow to the right (outside) of the field.

  2. Choose the dropdown arrow [image] at the right-hand end of the command field.

    3. The history list appears, displaying the transaction codes for all the transactions you have accessed in all of your sessions since you logged on. A sample history list is shown here.

  3. Choose the desired transaction code.
  4. Choose Enter.

This takes you to the initial screen of the task associated with that transaction code.


Entering Data on a Screen

Procedure

Most of the tasks you perform in the SAP System involve data entry on a screen.

To enter data on a screen:

  1. Enter data in all of the appropriate input fields on the screen.

    2. For details about fields and data entry, see Fields .

  2. To have the system check the entries and proceed to the next screen in the task, choose Enter.

    3. The system checks your entries. If the system finds any errors, for example entries whose format is incorrect, it displays a message in the status bar and places the cursor in the field you need to correct.

    If the system does not find any errors, the next screen appears.

  3. If the system found errors, change the incorrect entries.

    4. If you need help determining valid entries for an input field, see Help on Possible Entries for a Field .

  4. When you are done making changes, choose Enter.

The system checks your entries again. Repeat steps 3 and 4 until the system does not find any more errors and the next screen appears.

At this point, you can either save your data or cancel the task. For more information, see Saving the Data on a Screen and Canceling All the Data on a Screen .


Fields

Definition

A field consists of:

  • A field name
  • Field data

Field data is a single unit of information, such as a customer's name or account number.

Use

Most of the tasks you perform in the SAP System involve data entry. Typically, you enter data in the system in fields.

Most screens in the SAP System contain fields in which you enter data (input fields) or that provide information (display fields). Here is an example of the different field types:

Structure

Input fields vary in length. In some cases, the length of an input field determines how many characters you can enter in the field. In other cases, input fields are scrollable – that is, you only see part of the entry in the field.

Activities

Working in Fields Using the Keyboard

As an alternative to using the mouse, the following table shows the key combinations you use to work with fields. These functions are identical to the corresponding MS Windows functions.

Key combination | Result
¯ | Moves the cursor to the beginning of the next input field or next line.
 | Moves the cursor to the beginning of the previous input field or previous line.
à ß | Moves the cursor to the left or right within the input field
Ctrl+à | Moves the cursor word-by-word to the right
Ctrl+ß | Moves the cursor word-by-word to the left
Home | Moves the cursor to the beginning of the input field
End | Moves the cursor to the end of the input field
Shift+à | Marks text character-by-character to the right
Shift+ß | Marks text character-by-character to the left
Shift+Ctrl+à | Marks text word-by-word to the right
Shift+Ctrl+ß | Marks text word-by-word to the left
Shift+Home | Marks texts from the cursor position to the beginning of the line
Shift+End | Marks text from the cursor position to the end of the line
Ctrl+C, Shift+Insert | Copies marked text to the clipboard
Ctrl+V, Shift+Delete | Inserts text stored on the clipboard
Ctrl+X, Shift+Delete | Deletes marked text from the input field and copies it to the clipboard
Delete | Deletes text to the right of or highlighted by the cursor
Backspace | Deletes text to the left of the cursor
Insert | Toggles between insert and overwrite modes

Additional Information

Insert and Overwrite Modes

Typing Data into an Input Field

Changing the Data in an Input Field

Moving from Field to Field

Using the Clipboard

Required Input Fields

Help on Possible Entries for a Field


Insert and Overwrite Modes

Use

You can enter data in two modes:

  • Insert: Any data to the right of the cursor moves to the right as you type.
  • Overwrite: You type over any data to the right of the cursor.

Typically, you use the Overwrite mode to enter data, and the Insert mode to enter data between existing data (for example, if you left out a letter in the middle of a word).

In the standard system, the default entry mode is Insert. However, you can to switch to Overwrite at any time.

The status bar shows which mode you are currently in. It displays INS when you are in the Insert mode and OVR when you are in the Overwrite mode. For more information, see The Status Bar .

Activities

To switch entry modes, press INS (insert).

The current entry mode changes to the new entry mode.

The INS key is a toggle between the two modes, that is, the entry mode changes each time you press INS .

You can also toggle between modes by clicking the entry mode status field at the far right of the status bar.


Typing Data into an Input Field

Procedure

In the standard system, when you place the cursor anywhere in an empty input field, the cursor jumps to the beginning of the field.

  1. Click anywhere in the empty input field.

    2. The cursor jumps to the beginning of the field.

  2. Type in the data. (If you need help determining valid entries for the field, see Help on Possible Entries for a Field .)

If the data fills the input field, the cursor automatically moves to the next input field. Otherwise, the cursor remains in the input field until you press the TAB key to move it or you click another input field.


Changing the Data in an Input Field

Use

You can change data in an input field by either:

  • Switching the data entry mode to Overwrite, and typing over the data in the field, or
  • Highlighting the entry in the Insert mode and typing the new data

Some input fields contain data that is for display only; you cannot change or delete the data in these input fields. Input fields whose background is the same color as the background of the screen contain data that you cannot change.

Procedure

Insert Mode

  1. Use the cursor to highlight the existing content of the field.
  2. Type in the new data.

The entire content of the field is replaced by whatever you type.

Overwrite Mode

  1. Make sure you are in the Overwrite mode (OVR in the status bar). If you are not, press INS to switch to this mode.
  2. Place the cursor at the point in the data where you want to start overwriting.
  3. Type over the old data. You can use the DEL key to delete data to the right of the cursor.

To change other input fields on the screen, repeat steps 2 and 3.


Moving from Field to Field

Procedure

Moving from Field to Field with the Mouse

Click the input field that you want to move to.

The cursor now appears in that field.

Moving from Field to Field with the Keyboard

To move the cursor with the keyboard, use any of the following keys:

Key | Moves the cursor to the beginning of
TAB | The next input field
SHIFT + TAB | The previous input field
¯ | The next input field or next line
 | The previous input field or previous line

In the standard SAP System, the cursor automatically moves to the next input field when it reaches the end of the current input field. This feature is called automatic tabbing (AutoTAB). It is useful when you are entering data in many fields and you want to avoid having to press the TAB key to move among these fields.

However, AutoTAB only works at the end of an input field. For example, if the Material field can hold 12 characters, but the material number you enter is only 7 characters long, you must press the TAB key to move to the next input field.

For information on activating AutoTAB, see Tabbing Between Fields Automatically .


Using the Clipboard

Prerequisites

You can transfer the contents of fields onto the clipboard of your operating system and then paste them into other fields of the SAP System or into other applications. To do this, you use the Clipboard functions.

There is a difference between the functions described here and similar functions you may sometimes find in the Edit menu. The Clipboard functions, though limited, work for the clipboard of your windowing environment, which means you can use them to move or copy contents between the SAP System and other applications. The functions in the Edit menu, though more extensive, only work within the SAP System.

Procedure

  1. To select a field or the text you want to copy or move, click and drag the cursor over the desired text. The selected text is highlighted.
    1. To remove the information from an input field and place it onto the clipboard of your operating system, choose Cut ( CTRL + X ) The field is now blank.
    2. To copy the selected information onto the clipboard, choose Copy ( CTRL + C ) Data remains in the field.
  2. To paste the text, position the cursor where you want the information and then choose Paste ( CTRL + V ). The text is pasted at the current cursor position.

The transferred data remains in the clipboard until you use Cut or Copy again to move or copy new texts onto the clipboard. You can insert the texts into fields on another SAP screen or an external application.

To copy the data from several fields or different field types of the screen onto the clipboard, you must turn on the selection mode:

  1. Select Clipboard ® Mark ( CTRL + Y ) in the Layout menu. The pointer changes into a crosshair cursor.
  2. Click in one corner of the area you want to copy, hold the mouse button down and drag the cursor to the diagonally opposite corner (for example, from top left to bottom right). The system displays a rectangle to indicate the selected area.
  3. Release the mouse button when the rectangle covers the entire text you want to copy.
  4. Select Copy ( CTRL + C ) or Cut ( CTRL + X ). The selected text is copied onto the clipboard. When you choose Cut, the selected texts are deleted from the input fields.

The clipboard now holds all the information from the fields you have selected, including the field names and short descriptions. For this reason, you usually cannot insert the contents of the clipboard in the current screen. This feature is primarily intended for copying SAP information and pasting it into an external program, such as Microsoft Word.


Required Input Fields

Definition

When you work in the SAP System, you will sometimes encounter input fields containing a question mark (?). These are required input fields. An example is shown below:

As of Release 4.6, required input fields are identified by a checkmark icon:

Use

If the screen you are working in contains any required input fields, you must enter data in these input fields before you can proceed to the next screen or tab (if the screen is using tabs).

Generally, if a screen has no required input fields, you can go to the next screen or tab without entering data in any fields. Some screens, however, have required input fields that are not identified. This situation can occur when
    • You enter data in an optional field that has required fields associated with it
    • You need to enter data in one of several input fields
      For example, freight can be delivered by a specific day or week. Neither the Day field nor the Week field are identified as required input fields; however, you must complete one of the fields (not both).

When you choose OK to proceed to another screen, if you have not completed all the required input fields on a screen, the SAP System displays an error message in the status bar. At the same time, it places the cursor in the required input field so that you can make the necessary data entry.


Hold Data and Set Data

Use

When you want to create a group of objects that contain similar data or the same data (say, a group of purchase orders), you use the functions Hold data or Set data. Both of these functions automatically enter the specified data for a specified field, with only one difference:

  • Hold data: You can change the held data.
  • Set data: You cannot change the held data.

For example, suppose you want to enter 20 purchase orders (POs). Each PO has the same delivery date, and the ordered goods will be delivered to the same plant and storage location. Instead of entering the same data 20 times, you can enter the data in the input fields once and "hold" it on the screen. Then, every time you create an invoice, the system enters the same data – the held data – in the appropriate input fields.

When you use Hold data, you can change the held data when it appears in the input fields; when you use Set data, you cannot. For example, if you are entering invoices, suppose the date and document type are the same for most of the invoices, but not all. If you use Hold data, you can change (that is, overwrite) the date or document type for the few invoices that differ. If you use Set data, you cannot change the date or document type for the few invoices that differ.

Using Set data also has an advantage, however. When you use Set data, the cursor skips over input fields with held data, so that you do not always have to press TAB to move to the next input field.

You can hold data for as many different screens as you like. The data you enter and hold on a screen is held for that screen until you delete it or until you log off the SAP System.

The functions Hold data and Set data are not available for every task. If you try to use them in a task where they are not available, the SAP System displays a message in the status bar.


Holding Data on a Screen

Procedure

To avoid having to enter the same data repeatedly, hold the data on the screen, as follows:

  1. On the screen, enter the data that you want to hold in the input fields.
  2. From the menu bar, choose System ® User profile.

    3. The User profile menu appears.

    1. To hold data with the option of changing it, from the User profile menu, choose Hold data.
    2. To hold data with the option of automatically skipping fields with held data, from the User profile menu, choose Set data. You will not be able to change the data.

If Hold data and Set data are not available, a message appears in the status bar. Otherwise, the data you entered is held on the screen. It will be held on the screen until you delete it or until you log off the SAP System.

Deleting Data Held on a Screen

  1. Go to the screen that contains the data you want to delete.
  2. Choose System ® User profile ® Delete data.

The data is deleted. The next time you access the screen, no held data will be displayed.

You can also simplify the input of repeated data using user parameters.


Canceling All the Data on a Screen

Use

You may want to cancel, or delete, the data you just entered. For example, you are missing a piece of required data and cannot proceed until you locate it.

Procedure

To cancel all the data you just entered on a screen, choose [image] or choose Edit ® Cancel.

The system removes the data on your current screen, closes the current screen, and returns you to the previous screen. Depending on the situation, the system may display a dialog box prompting you to confirm your action.


Saving the Data on a Screen

Prerequisites

When you are working in a task that consists of several screens, the system temporarily stores the data that you enter on each screen. After you complete all the necessary screens in your task, you need to save your data.

Procedure

To save the data for a task you are working in, choose [image] or press CTRL + S .

The system processes the stored data and saves it in the appropriate database.

If you are doing a task for the first time and you do not know which screen is the last screen, the system prompts you to save when you reach the last screen. For example, if you are on the last screen of your task and you choose Enter instead of choosing Save or Post, a dialog box appears. The dialog box prompts you to save your data.


Going to Related Tasks

Use

When you are working in a task, you can use certain menus and functions to go to other screens within your task, as well as to screens in related tasks.

To find out which other screens and related tasks are available, check the Goto, Extras, and Environment menus in the menu bar. The contents of these menus change depending on the task you are doing.

Activities

Use | In order to
Goto | Move among the different screens within your task Often you do not need to complete every screen in your task, or you may want to return to a screen to make changes.
Extras | Access additional information and fields Sometimes you need additional information to complete a screen. Or you may need to complete fields that are used less frequently.
Environment | Go to a related task Often, when doing a task, you need to do a related task. The related task can be either in your current application or in another application. For example, suppose you are checking an invoice (Invoice Verification application) and you want to compare it to the purchase order (Purchasing application). From the Environment menu, you can display the purchase order, check the data on the purchase order, and then return to the invoice.

Depending on the application, you can often move from one screen to the next by choosing [image] or by choosing Enter. If you have not filled out all required input fields, however, this will not work.


Ending a Task

Use

After you have completed a task, you will want to end it. Sometimes you may want to end a task without completing it.

Procedure

To end a task:

  1. In the standard toolbar, choose [image] or press Shift+F3 .

    2. If you have already saved the data, or if you have not entered any data, the system ends the task and returns to the initial screen of your application.

  2. If you have entered data while working in this task, but have not saved it yet, the system displays a dialog box prompting you to save your data.
    • To save the data and end the task, choose Yes.
    • To end the task without saving the data, choose No.
    • To return to the task, choose Cancel.


Reports

Use

When you are working in the SAP System, you may want to access information from the database. To do this, you use reports.

In this documentation, report refers to the report program, and list refers to the output – that is, the results of the report.

Some reports display information; others allow you to perform analyses.

A report must be started, or executed. In many cases, the SAP System automatically executes a report. Sometimes, however, you will want to execute a report yourself.

In addition to report programs, the SAP System provides numerous reporting tools, each of which has its own set of procedures for executing report programs.

This documentation describes report programs only. For an introduction to the SAP reporting tools, refer to the Reporting Made Easy guidebooks (Release 4.0B). You can find these guidebooks at: www.saplabs.com/rme .


Executing a Report

Prerequisites

To display or analyze information from the database, you execute a report. Some reports are linked directly to tasks in the SAP System, and can be executed from one of the menus on the screen you are working with.

Reports that are directly linked to your task sometimes use the data already entered on your screen as selection criteria. This means you do not have to enter selection criteria when the report is executed.

Procedure

Accessing Reports in the SAP Easy Access Workplace Menu

To access the reports used most frequently in the SAP System, go to the SAP standard menu, and choose Information Systems. In this directory, the reports are grouped by application:

Alternatively, you can access the reports belonging to a particular application by choosing the relevant application from the SAP standard menu, and choosing Information System, as shown in the example below:

Not all applications have this menu option.

Executing a Report in Your Task

To execute a report in your task:

  1. Navigate to the function that corresponds to the report you want to execute, and choose that function. For example, to display a report of purchase orders issued to particular vendors, you would go to the Purchasing menu, and choose Purchase order ® List displays ® By vendor.
  2. If no additional selection criteria are required, the system executes the report and displays the resulting list.
  3. If additional selection criteria are required, the system displays the selection criteria screen. For more information, see Selection Criteria .

Accessing Tool-Based Reports

ABAP Query

To execute a report using the ABAP Query, choose Information Systems ® Ad Hoc Reports ® ABAP Query.

QuickViewer

To execute a report using the QuickViewer, go to the menu bar of the SAP Easy Access initial screen, and choose System ® Services ® QuickViewer.

You can also start QuickViewer reports by using the ABAP Query.

Report Painter and Report Writer

To access the Report Painter and Report Writer, choose Information Systems ® Ad Hoc Reports ® Report Painter ® Report Writer ® Report group ® Execute.

Executing All Other Reports

If a report is not available directly from the task you are working in, you can execute it by starting the Reporting function.

  1. From the menu bar of the SAP Easy Access initial screen, choose System ® Services ® Reporting.

    2. The report selection screen appears:

  2. In the Program field, enter the report name. If you do not know the name, see Finding the Name of a Report You Want to Execute .
  3. Choose Execute.

The system displays the selection criteria screen. An example is shown here:
  4. Enter the selection criteria.

To enter your selection criteria using a variant, you can choose a variant from the dropdown list of possible entries. This list only contains entries if variants were created earlier. For more information on variants, see Report Variants .
  5. To start the report, choose Program ® Execute.

The system executes the report and displays the resulting list.

If you receive the message No data exists, recheck your selection criteria, including the From/To Date.

Additional Information

Selection Criteria

Displaying Available Report Variants


Finding the Name of a Report You Want to Execute

Prerequisites

You can search for a report name even when you do not know the exact name of a report.

Procedure

  1. Choose System ® Services ® Reporting.

    2. The report selection screen appears.

  2. Choose Utilities ® Find Program. Or, choose the possible entries icon [image] for Program, and select an entry from the dropdown list box.

The report search screen (ABAP Program Directory) appears:
  3. In the Program field, enter any part of the report name that you know, plus any wildcards ( * or + ), as needed.

Wildcard | Represents
* and + | Characters you do not know
* | Multiple characters
+ | Exactly one character

Use the * and + anywhere in the report name, as often as necessary. For example:

Character | Represents all report names...
z* | Starting with z
*sale* | Containing the character string sale, such as rvsale07
*f+ | Containing an f as the second-to-last character, such as rmlogifa
rp+++sch | Starting with rp, ending in sch, and containing any three characters in between, such as rp012sch or rpinvsch

The report name can be upper- or lowercase; for example, RF is the same as rf.
  4. Choose Execute.

A list of reports appears.
  5. Place the cursor on the report name, and choose Choose. Or, double-click the report name.
  6. Choose Program ® Execute.

If the report does not require a variant, the selection criteria screen for the report appears.

If the report requires a variant, the system displays a message stating that you cannot select the report from this screen. Return to the report selection screen (choose [image], or press F3 ), and then enter the report and variant name. Before leaving this screen, note the name of the report. (For more information, see Report Variants .)
  7. Enter the selection criteria.
  8. Choose Program ® Execute.

The system executes the report and displays the resulting data.

Additional Information

Selection Criteria


Finding the Name of a Current Report

Procedure

  1. Execute the report.
  2. From the menu bar, choose System ® Status.

The name of the report appears in the Program field.


Selection Criteria

Definition

Fields you use to define the type and amount of information you want a report to process. Reports are generated using selection criteria. For example, a selection criterion for a report on vendors would be the vendor number. This means that you can select a single vendor number or a range of numbers.

Use

You enter delimiting values in the selection criteria input fields. Only the data that matches these limits appears in the list. For example, to obtain data from customer accounts between 600 and 700 only, you enter those values in the input field for the Customer account selection criteria. If you do not enter any values for the Customer account selection criteria, the system uses data from all of the customer accounts when it executes the report.

You should aim for precision when specifying selection criteria. Your lists will be smaller, and the system will process them faster. Otherwise, the amount of data may be very large, and the system may not be able to process it all. In this case, a message indicating processing limitations appears in the status bar.

If you receive the error message No data exists after executing a report using a selection criterion, recheck the selection criteria input fields.


Entering Values for Selection Criteria

Procedure

Entering a Single Value for a Selection Criterion

  1. Place the cursor on the input field for the desired selection criterion.
  2. Enter the value. For more information on entering data in fields, see Fields .
  3. To further qualify this selection criterion, choose Selection options.
  4. You can specify that only the records greater than or less than a value should appear in the list. You can also specify that all records meeting the selection criteria should be excluded; in this case, the system displays all records that do not meet the selection criteria.

You have entered a value for a selection criterion. Repeat this procedure for all other selection criteria desired for this report.

Entering a Range of Values for a Selection Criterion

  1. Place the cursor on the input field for the desired selection criterion.
  2. Enter the lower limit of the range in this field. This is the "from" value for the range. For example, for storage types from 007 to 014, you would enter 007 . For more information on entering data in fields, see Fields .
  3. Place the cursor in the adjacent To input field.
  4. Enter the upper limit of the range in this field. This is the "to" value for the range.
  5. To further qualify this selection criterion, choose Selection options.

Repeat this procedure for all other ranges of selection criteria desired for this report.

Multiple Selection

If you choose [image] next to a selection criterion, the system displays a multiple selection screen. On this screen you can enter multiple single values or value ranges for each selection criterion.


Report Variants

Definition

Group of selection criteria that has been saved. A report can have several different variants, with each variant retrieving different types of information. For example, a vendor report might have one variant for U.S. vendors and another variant for European vendors.

Use

Instead of entering the same values in the selection criteria input fields each time you execute a report, you can enter the values once and then save the selection criteria as a variant. The next time you execute the report, you only need to enter the variant name, not the selection criteria. If you use variants, the selection criteria screen is already filled with data.

To execute certain reports, you must use a variant. In this case, a system message prompts you to do so. Although you are not always required to use variants or selection criteria, it is a good idea to use them when possible. Your resulting lists will be smaller and take less time for the system to process.


Creating Report Variants

Use

Instead of entering the same values in selection criteria fields each time you execute a report, you can create a variant. Using variants reduces both data entry time and system processing time.

Prerequisites

You must have the proper authorization to create a variant. For information on authorizations, see your system administrator.

A report can have any number of variants attached to it.

Procedure

  1. From the menu bar, choose System ® Services ® Reporting.
  2. In the Program field, enter the name of the report that the variant will be attached to. If you do not know the name, see Finding the Name of a Report You Want to Execute .
  3. From the menu bar, choose Goto ® Variants.

    4. The ABAP Variants initial screen appears, as shown here:

  4. In the Variant field, enter a name for this variant, and choose Create. You can use any combination of characters to create the variant name except for special characters, such as the percent sign (%) or dollar sign ($).

    5. The selection criteria screen for the report appears.

  5. Enter values in the selection criteria input fields.

    6. For information on entering or changing values, see Entering Values for Selection Criteria .

  6. Choose Continue.

    7. The Save variant screen appears. The name you entered for the variant is displayed in the Variant field.

  7. In the Description field, enter a short description of the variant.
  8. Choose any of the following environment options by selecting the checkbox to the left of the option. Your choices will affect the variant as a whole.
    9.
    Only for background processing | To print the list using background processing. You should always print large lists in the background.
Protect variant | To protect the entire variant. Only the person who created the variant can change or delete it.
Only display in catalog | To reduce the number of variants displayed when using possible entries help.
System variant (automatic transport) | To make the variant a system variant.

  9. Choose any of the following characteristics for the individual selection criteria by selecting the appropriate checkbox:
      • Type protected
      • Invisible
      • Selection variable
      • Without value SPA/GPA
  1. Save the variant by choosing [image] or pressing CTRL+S .

The variant is saved and its values appear on the selection criteria screen.

Additional Information

Displaying Available Report Variants

Using Report Variants


Displaying Available Report Variants

Use

Many reports have variants. If you do not know which variants are available, you can display a list of variants attached to a report. You can also view the contents of a variant before you choose it.

Procedure

  1. From the menu bar, choose System ® Services ® Reporting.
  2. In the Program field, enter the report name. (If you do not know the name, see Finding the Name of a Report You Want to Execute .)
  3. From the application toolbar, choose Overview of variants.
  4. All the variants attached to the report appear.
  5. To view the contents of the variant, place the cursor on a variant and choose Variants ® Display values.
  6. To use the variant, highlight the variant and choose Execute with variant.
  7. The system displays the selection screen for the report, complete with data.

If a variant has not been created for this report, you receive the error message Variant for program <program name> does not exist.

Additional Information

Creating Report Variants

Using Report Variants


Using Report Variants

Procedure

  1. From the menu bar, choose System ® Services ® Reporting.
  2. In the Program field, enter the report name. (If you do not know the name, see Finding the Name of a Report You Want to Execute .)
  3. Choose With variant.

    4. The Execute program with variant dialog box appears:

  4. In the Variant field, enter the desired variant. To obtain a list of available variants, choose the possible entries button.
  5. To execute the report with the variant, choose Execute.

    6. The system displays the selection screen filled with data.

  6. Choose Execute.

The system executes the report and displays the resulting list.

Additional Information

Creating Report Variants

Displaying Available Report Variants


Report List Output

Use

You can display and print a report list by executing a report from within your task or from the System menu.

Most of the reports you need are available in your application, where you can choose them from the menus. The menu that contains the reports varies from application to application; however, many reports are available from the Environment menu. To choose a report in some applications, you may first need to enter a value, for example, a material number. Your application documentation describes which menus contain the reports, and provides instructions for choosing them.

You can find a complete list of report programs and report lists in the so-called report tree. To access the report tree from the SAP Easy Access standard menu, choose Information Systems ® General Report Selection. To display your report program and report list options, choose the application from which you want to execute the report or report list.

To execute a report, double-click the report name. The selection criteria screen appears. Enter your selection criteria, and choose Execute. See also Executing a Report .

Activities

To choose a report from the System menu, you must know the program name for the report. This applies only to the System menu. Using the System menu, you can execute reports:

  • That are not available from menus
  • From anywhere in the SAP System

For more information on report names, see Finding the Name of a Report You Want to Execute .

You can either print a list, or display a list and then print it. If you have large lists, you should print them using background processing.


Displaying and Printing Report Lists

Procedure

Displaying a List

To display a list:

  1. Execute the report from your task or from the System menu.

    2. See Executing a Report .

  2. In the selection criteria screen, enter the selection criteria in the appropriate input fields.

    3. See Selection Criteria .

    To enter your selection criteria using a variant, you can select a variant from the dropdown list of possible entries.

    See Displaying Available Report Variants .

  3. From the selection criteria screen, choose Program ® Execute.

The list appears. A sample list is shown here:

If your list is large, the SAP System takes longer to process all the data. If the SAP System cannot process all the data, a message indicating processing limitations appears in the status bar. In that case, you must:

  • Execute the report with a variant, or
  • Enter more selection criteria values, or
  • Print the list using background processing

Printing a List

To print a list:

  1. Execute the report from your task or from the System menu.

    2. See Executing a Report .

  2. In the selection criteria screen, enter the selection criteria in the appropriate fields.

    3. See Selection Criteria .

    To enter your selection criteria using a variant, you can select a variant from the dropdown list of possible entries. See Displaying Available Report Variants .

  3. Choose Program ® Execute + print.

    4. The print screen appears. Complete the appropriate input fields.

    The system displays default values that you can overwrite. If your list is large, you may want to store it in the output controller and print it later, outside of business hours. Printing large lists can slow down the system and tie up printers. See Printing from the SAP System .

    In general, after you start printing a list, you cannot cancel it. You can cancel a list (that is, a spool request) only if you delete it immediately, before it leaves the SAP spool system.

  4. On the print screen, choose Output ® Print from the menu bar.

A print summary screen appears.

If your list is large, the SAP System takes longer to process all the data. If the SAP System cannot process all the data, a message indicating processing limitations appears in the status bar. In that case, you must:

  • Execute the report with a variant, or
  • Enter more selection criteria values, or
  • Print the list using background processing


Lists

Use

Lists are used to present hierarchical data. In the SAP System, lists present the results of

  • Reports
  • Searches
  • Queries for possible entries (in some cases)

Features

To save a list:

  • To SAPoffice, choose System ® List ® Save ® Office folders. In the subsequent dialog box, specify the folder where the list should be stored.
  • To an external file format such as a Microsoft Excel spreadsheet or an HTML page, choose System ® List ® Save ® Local file. Specify the external format type.
  • In a report tree, choose System ® List ® Save ® Report tree. The system saves this list to the node and report tree you specify.

Lists can be interactive:

  • Double-clicking a list entry automatically opens the entry.
  • Clicking a hotspot triggers an action in the system. The most common example of a hotspot is a hyperlink; when you click a hyperlink, you jump to a different topic or page.

Navigating Through Lists with the Keyboard

In addition to using the mouse, you can also use the following key combinations to work with lists:

Key combination | Result
à ß | Moves the cursor to the left or right
á â | Moves the cursor up and down
PgUp | Scrolls back one screen
PgDn | Scrolls forward one screen
Home | Scrolls to the first column
End | Scrolls to the last column
Alt+PageDown | Scrolls one screen to the left
Alt+PageUp | Scrolls one screen to the right
Ctrl+PageUp | Scrolls to the first line
Ctrl+PageDown | Scrolls to the last line
Tab | Moves to the next input field
Shift+Tab | Moves to the previous input field
Ctrl+Tab | Toggles between the list and command field
F2 | Chooses an entry
Ctrl+Y | Switches to the highlight mode, which lets you highlight sections of the screen
Ctrl+C, Ctrl+Insert | Copies marked text to the clipboard
Ctrl+X, Ctrl+Delete | Deletes marked text and copies it to the clipboard


Printing from the SAP System

Features

Using the SAP output system, you can print many kinds of documents – including purchase orders, invoices, delivery notes, salary statements, e-mails, and report lists – on output devices such as printers or fax machines.

Process Flow

When you want to output data, either online or in the background , the SAP output system creates the document by generating:

  1. A spool request which normally contains device-independent data
  2. An output request that is used to send the data to the respective output device

To print your documents directly, choose Print immediately on the print screen.

If you only want to view the data of the document, do not select this checkbox. You can display this data in the output controller .

Additional Information

The Print Screen

BC - SAP Printing Guide


Printing Options in the SAP System

Use

The following document types exist in the SAP System:

Type | Used | Example
SAPscript documents | For all documents where a form is filled with data | Purchase orders, invoices
Report lists | For the output of a database selection | Cost center lists
Business graphics | For overview graphics | Table relationships in the Data Dictionary

When printed, these document types are formatted in different ways.

Procedure

If you choose Print [image] (or System ® List ® Print) in an SAP task, the system usually displays a selection screen where you can specify output criteria.


The Print Screen

Use

No matter where you start printing, the SAP System usually displays the print screen. On this screen, you tell the SAP System which printer to use and how to treat your output request.

The example below shows the print screen for lists, but the same type of screen is used for all printing.


Have My Requests Been Printed?

Use

The output controller allows you to check your output requests. Use the controller if:

  • You have entered an output request without selecting Print immediately. Your output request will not be sent to a printer until you go to the output controller and print the request.
  • You want to check the status of an output request.

Activities

In addition to checking the status of your output requests, you can also do the following in the output controller:

  • To send spool requests to an output device, choose Print.
  • To delete requests that are no longer used, choose Delete. Normally, old requests are deleted automatically.
  • To display output requests as they will appear on paper, choose Display.


Using the Output Controller

Procedure

  1. Start the output controller by choosing System ® Services ® Output controller from anywhere in the SAP System.
  2. The Output controller: Spool request selection screen appears. On this screen, you can select the desired output requests. If required, you can add more fields by choosing Further selection criteria.
  3. The system displays the output requests that match your search criteria.

Result

The Output status column in the list tells you the current status of your output request:

Value in Output status

Meaning

--- (Dash)

The print request is being held and has not been sent to a printer yet. To send your output request to the printer, choose Print directly [image] or Print with changed parameters [image].

Compl.

Your output request is completed. It is waiting for you at the printer.

Problem, Wait, any red- or
pink-shaded message

For more information on the problem, see the log . To do this, select the request and choose Output requests [image]. On the next screen, select the output request concerned and choose [image].

The SAP System was either unable to print your request or there may be problems with the output.

The reason for a problem or wait status can be as simple as a printer or PC that has not been turned on. If you cannot solve the problem yourself, contact your system administrator.

Additional Information

Status of Spool Requests

Status of Output Requests


Saving Standard Print Options as Defaults

Use

Do you usually use the same printer? If so, you can save the name of the printer, as well as other print options, as defaults. The values that you save are entered for you on the print screen . (You can change them as required.)

Saving these values as defaults eliminates the need to type the same information over and over again.

Procedure

  1. Choose System ® User profile ® Own data.
  2. On the Defaults tab, enter the output device, and/or select Output immediately and Delete after output.
  3. Save your entries.

Result

The next time you print, the printer name and options that you have saved will already be entered on the print screen. You can, of course, change them as required.


Background Processing

Use

In background processing, the SAP System automatically runs any report or program that you can start interactively.

When you schedule a job in the background processing system, you must specify:

  • The ABAP report or external program that should be started
  • The start time
  • The printing specifications

The background processing system starts your job and runs the program(s) that you specify. Afterwards, you can check whether your job was executed successfully and display a log of any system messages.

Suppose you need to run a report of customers whose bills are overdue.You can:
    • Start the report yourself from the ABAP Editor. If you do this, the system runs the report interactively, in a session at your PC or workstation. While the report is being processed, your computer response time may be slower.
    • Or, you can have the background processing system run the report. To do this, you must create a background job that tells the system what you want it to do.

The background processing system runs your "late bills" report according to your instructions. The list generated by the report is either printed directly or is waiting for you in the SAP output controller (see Using the Output Controller ).You can also check in the background processing system whether the report ran correctly.

Features

  • Running a report in the background does not tie up the SAP sessions you are currently working with.

When you start a report interactively, your current SAP session is blocked for further input for as long as the report runs.

When you start the report in the background, running the report does not influence your interactive work with the SAP System.
  • You can shift the execution of reports to the evening or other periods of low load on the SAP System.

You can schedule a report or external program to run at any time that the SAP System is active. You can also set up reports to run automatically on a regular basis (for example, on the last day of each month).
  • Background processing is the only way you can execute long-running jobs.

To prevent tying up system resources with interactive sessions for long reports, the SAP System has a built-in time limit on interactive sessions. If a single ABAP report runs for more than 5 minutes continuously in an interactive session, the SAP System terminates the report automatically.

The background processing system executes long-running ABAP reports more efficiently. Often, such reports are automatically scheduled for execution in the background. In this case, you do not need to schedule them for background processing yourself.


Accessing the Background Processing System

Procedure

The table below shows how you can access the background processing system.

Point of Departure | To Schedule a Program | Result
The ABAP Editor You can start ABAP programs and reports either interactively or as background jobs. | Choose Program ® Background. | The system displays the ABAP job scheduling screen.
Elsewhere in the SAP System You can schedule an ABAP program or external program as a background job. | Choose System ® Services ® Jobs ® Define job. This is an alternative to job scheduling by way of the ABAP Editor. | The system displays the standard job scheduling screen. You can schedule an internal (ABAP) or external program to run.
An SAP application Often, long-running reports are scheduled automatically or semiautomatically for background processing. | Choose the appropriate report using the menu or a function key. The SAP application schedules the report as a background job. | Your program is scheduled to run in the background.


Scheduling Background Jobs

Use

In many SAP applications, long-running programs are automatically scheduled as background jobs. However, you can also schedule background jobs yourself.

Procedure

To schedule a program for background processing:

  1. Start the job scheduling function.

    2. To start the standard job scheduling function, choose Administration ® CCMS ® Jobs ® Define job.

    To schedule ABAP programs, you can also use the ABAP job scheduling function. From the ABAP Editor, choose Program ® Execute ® Background.

    If you are scheduling an external command or external program as a background job, you must use standard job scheduling.

  2. Use the Job Wizard to define your job. In the application toolbar, choose the wizard icon:

The Job Wizard is available only from the standard job scheduling function.

The initial screen of the SAP Job Wizard appears:
  1. Save the job. When you see the message Job saved, the job has been successfully scheduled.

    2. A job that has been scheduled must also be released. This restriction applies even if you specify an immediate start for your job.

    If you have the necessary authorization, your job is released automatically when you schedule it. Otherwise, your system administrator will release your job.

  4. Check the status of your job by choosing System ® Own jobs.

For more information on your jobs than is shown in the status screen, choose Job overview. See also Checking the Status of a Background Job .


Scheduling ABAP Jobs

Procedure

  1. Choose a variant for your report. The name of the report that is to run is filled in automatically. If you want to enter a different report, you can overwrite this name.
  2. Optionally, set the printer options for output from the report.

    3. If you do not set printer options, the system uses the options saved with your user account. To display these options, choose System ® User profile ® User defaults.

  3. Choose:
    1. Execute immed. to have your job started right away.
    2. Schedule to have your job start at the date and time that you specify. Here you can also specify that your job should be restarted periodically.

To access the more complete standard job scheduling function, choose Goto ® Define job.


Scheduling Standard Jobs

Procedure

  1. On the first screen, identify your job .
  2. Optionally, specify a recipient for spool requests generated by your job.

    3. The spool output is automatically mailed to this user or distribution list.

  3. Choose Start time to choose a start time for your job . Save the start time and return to the first screen.

    4. Each of the start time options offers a Check function that lets you confirm your start specification. Several of the start time options also let you have your job repeated automatically.

    No job can start until it has been released, even if you specify an immediate start. If you have the required authorization, your job is automatically released when you schedule it. Otherwise, your system administrator will release your job.

  4. Choose Steps to specify the program to run in your background job. Save your program specification and return to the first screen.
  5. Save your job. When you see the Job saved message, your job has been accepted by the background processing system and is scheduled for background processing.


Identifying Your Job

Procedure

On the job identification screen (Define background job):

  1. Enter a name for your background job. You can choose the name as desired; the name helps you identify your job when you check the job’s status.
  2. Enter a priority class for your job. The default priority is C (normal priority).

    3. If your job is extremely urgent, you can have it placed in a class with higher priority. Only system administrators are authorized to enter the higher priorities (A is the highest, B is next). Your installation may reserve work processes for class A jobs.

  3. Leave the Target server field blank unless you are sure that your job must be run by a particular SAP application server.


Specifying a Recipient

Procedure

  1. On the initial screen, choose Spool lists recipient ® Enter. The system displays a dialog box.
  2. In the Recipient field, enter a user’s SAPoffice mail name, an SAPoffice distribution list, an SAP user ID, or an external e-mail address.
  3. Activate mailing options as desired.
  4. To save the recipient, choose Copy.

All spool requests generated by the job are sent to this recipient.


Choosing a Start Time

Procedure

  1. Choose a start time option.

    2. To have your job started on a particular date and time, choose Immediate or Date/Time. You also have the options shown in the following table.

  2. Enter any additional information the system asks for.
  3. Save the start time. You can then return to the job identification screen.

Start Time Options for Background Jobs

Start Time Option

Result

Your job starts as soon as you save the job definition.

For jobs that are repeated automatically, you can set Restrictions on future start dates. For example, you can have your job started only on workdays.

Your job does not start until the date and time you specify.

You can also:

  • Define a start time window. That is, you can set the time and date after which your job should no longer be started, if its start has been delayed.
  • For jobs that are repeated automatically, set Restrictions on future start dates. For example, you can have your job started only on workdays.

Your job starts when another job that you specify has been completed.

Before you choose this option, you must determine the name of the other job. To display jobs that have been scheduled, choose System ® Services ® Jobs ® Job overview.

If you want your job to start only if the other job was completed successfully, select Start status depend.. If this job was cancelled, your job does not start.

Your job starts when the selected event occurs. Use the Possible values arrow to choose from the available events.

An event is a signal to the background processing system that something has happened. For example, an event is signaled when the SAP System starts up.

Your job starts when the selected operation mode becomes active. Use the Possible values arrow to choose an operation mode.

An operation mode is a configuration for your SAP System. For example, system administrators sometimes set up a Night mode with extra resources for background jobs. Choosing Night lets your job start when your SAP System switches to this operation mode.

(Start on workday)

Your job starts on a particular workday. The system displays a screen where you can specify:

  • The SAP factory calendar to use for finding out which days of the month are workdays. Use the Possible entries arrow to choose a calendar.
  • The workday on which your job should start. Enter a number, such as 03 for the third workday of the month, 11 for the eleventh workday, and so on.
  • The time of day for the job to start.
  • Do not start before: The date as of which the job may be started.
  • Whether to count the workdays from the start or end of the month. For example, 03 from the end of the month is the third-to-last workday; 01 from the start of the month is the first workday.
  • For automatically repeated jobs, the number of months between repetitions. 1 repeats the job every month.

Example: The specifications:

  • Factory calendar 01
  • Workday 03
  • Time 0800
  • Do not start before 6/1/2001
  • Start of month

tell the system to start your job on the third workday of June, 2001 at 8 AM, counting workdays from the start of the month.


Specifying the Program to Run

Prerequisites

On the Job step screen, you specify the ABAP program or external program to be run in the background.

For ABAP programs, you can also specify how any print output should be treated.

In each job step, you can name one program to be executed. However, you can also run more than one program with a single background job. Simply add a job step for each desired program.

Procedure

ABAP Report

  1. By default, your name appears in the User field. This means that the program in this job step will run under your SAP System authorizations.

    2. If you want the program to run under the authorizations of another user, enter the appropriate name.

  2. Choose ABAP.
  3. Enter the name of the report.
  4. You can select a variant for the report with Variant list. If you need to maintain a variant, you do this in the ABAP Editor.
  5. In the Language field, specify the language to use for the report output.
  6. With Print specifications, you can have the report output held in the SAP spool system or have it printed as soon as the job has run.

External Command

  1. By default, your name appears in the User field. This means that the program in this job step will run under your SAP System authorizations.
  2. Enter another user name if the program should run under the authorizations of another user.
  3. Choose External command.
  4. Enter the predefined SAP name for the command.
  5. If required, enter any additional arguments required for the command.
  6. Specify the name of the host system on which the command should run and the type of operating system at the host.

You can determine the host name with the host name command on the target host system.

With Control flags, you can specify how output from the external program should be treated, as well as other runtime options. Usually, you should leave these options at their default settings.

For more information on external commands, see the F1 field help.

If you have administrator authorization for background processing, you can also choose External programs as a job step option. To run an external program, enter:
    • The exact path and program or script name
    • Any arguments required by the program
    • The name of the host system on which the program is to run

External programs are not predefined in the SAP System, and the system does not perform an authorization check to determine whether you are permitted to use the command.
  1. Save the job step and return to the job identification screen.


Checking the Status of a Background Job

Procedure

  1. Check the status of your background jobs by choosing System ® Own jobs from anywhere in the system.

    2. At the top of the screen, the system displays the status of each of your jobs. The F1 field help explains each status.

    In the middle of the screen, the system displays the names of your jobs that are active (that is, currently running). Unless you are sure of what you are doing, you should leave the Cancel button alone. Cancel interrupts an active job; that is, it terminates the report that was running.

    At the bottom of the screen, the system displays the names of any of your jobs that have been cancelled (that is, ended unsuccessfully). To see the background processing log, choose Log. The log indicates what went wrong with the job.

  2. For more information on your jobs, you can access the management functions of the background processing system by choosing Job overview.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Library
Release 4.6C, March 2000
SAP Library

Glossary

Getting Started

Release Notes

Implementation Guide
© Copyright 2000 SAP AG
All rights reserved.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.